Ubuntu CD image build software

UEFI boot live-usb bricks SAMSUNG 530U3C,np700z5c laptop

Reported by tadazmas on 2012-08-23
406
This bug affects 62 people
Affects Status Importance Assigned to Milestone
Release Notes for Ubuntu
Undecided
Unassigned
Quantal
High
Unassigned
Ubuntu CD Images
Critical
Unassigned
linux (Ubuntu)
Critical
Colin King
Oneiric
Critical
Colin King
Precise
Critical
Colin King
Quantal
Critical
Colin King

Bug Description

I cannot provide detailed log massages because laptop is bricked right now.

If you have courage to try it select UEFI boot from bios and than try to boot laptop using liveusb (made form Precise Pangolin 12.04.1 amd64).

Laptop hangs up in black screen. If you force power-off, after it, laptop wont start. I mean it not event start bios, just black screen no sounds nothing.

I filing this report, because i already bricked second laptop. At first i thought it was unrelated issue and laptop was fixed by warranty service (replaced motherboard), but after second time i quite sure.

summary: - UEFI boot bricks SAMSUNG 530U3C laptop
+ UEFI boot live-usb bricks SAMSUNG 530U3C laptop

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in debian-installer (Ubuntu):
status: New → Confirmed
Ludovico (aasonykk) wrote :

I confirm it.

I selected UEFI from bios and durind the loading of Ubuntu 12.04.1 from liveusb it freeze. I long pressed power button and it bricked the laptop.

I have the same version 530U3C

Dave Gilbert (ubuntu-treblig) wrote :

Bricking a laptop seems pretty evil on a live image; doubt this is actually debian-installer though.

Changed in debian-installer (Ubuntu):
importance: Undecided → Critical

I confirm it, too. Exact the same procedure - maybe I should have read this before. It seems not to happen, if UEFI-Boot-Support is deactivated in BIOS.
Same Laptop Version for me: 530U3C A01

Colin Watson (cjwatson) wrote :

Yeesh. I hate UEFI - this should clearly be impossible with correctly-written firmware.

How did you go about creating the live USB image? The 12.04.x images don't have the right bits to make this work by just dding the image to a USB stick, but the usual failure mode is simply that the image is only bootable in legacy mode, not that it is available for UEFI booting but bricks the machine. Did you dd or otherwise raw-write the image to a USB stick, or did you use some program I don't know about to convert it?

If somebody has an unbricked but otherwise appropriate laptop and is willing to risk it, it would be worth trying out a recent 12.10 daily, because this is built in a somewhat different way which should allow for proper hybrid UEFI CD/USB booting. If this works, we could backport that to 12.04 without too much trouble.

affects: debian-installer (Ubuntu) → ubuntu-cdimage
Ludovico (aasonykk) wrote :

@ Alex : click on the top of this page "yes, this bug affect me"

@ Colin Watson: I created the live usb with "Startup Disk Creator" using Ubuntu 12.04.1. Sorry but now I can't try 12.10 with UEFI enabled.

... sorry I forgot. Now this bug infects me too.
I created the stick using "usb-creator-kde" from kubuntu version 11.xx., I think.

One more, maybe important notice.
I succsessfully booted the image, having UEFI-support disabled in BIOS.

But there was a difference in boot procedure, before it bricks the machine:
1. There was an message on a black screen: "Unknown prefix", or similar - it was not there, with UEFI-Support disabled.
2. The grub-boot-loader poped up and I could choose between installing or trying out.

First time I switched of the notebook, after seeing grub and it was still working (because I could remember, that I did not get this menu before - the installer just booted)
Second time I got grub again, I selected "Try .... ", then the machine freezes, I switched it off (by long pressing power-button) - and it was a brick.
Maybe this is a notice, for those, who want to try out 12.10 - if you see the grub-menu - be careful.

Ludovico (aasonykk) wrote :

I confirm that when I enabled UEFI and the beginning it displayed a black screen where I could choose between try Ubuntu, install ubuntu, test ram etc.
I selected the first option (I don't remember which was, try live cd ubuntu? ) and during the loading it crashed and bricked my laptop.

But when I replaced the laptop, with UEFI disabled, the live cd (usb) start automatically without the black screen.

Martin Exner (martinexner) wrote :

I managed to install ubuntu 12.04 amd64 right now on my 530U3C-A01DE.
What i did was:
First boot windows and do a BIOS-Update, then check that UEFI-Boot is disabled there (the BIOS lags like hell by the way, no idea why).
Then i flashed the ubuntu 12.04 ALTERNATE(!) iso to a sandisk curzer titanium 2GB usb key and bootet from that.
Everything worked perfectly and still works perfectly :-)

tadazmas (tadas-mineikis) wrote :

Could you write your BIOS version which works?

tadazmas (tadas-mineikis) wrote :

If you check UEFI boot disabled in BIOS it works for sure, but if you enable UEFI mode and try to boot live-usb you will brick laptop.

Martin Exner (martinexner) wrote :

BIOS version: P05AAJ

Davpal (davpal) wrote :

Same problem and waiting for laptop repairing.
In my case the scenario was the following:

- Update de bios to lastest.
- Enable UEFI-Support.
- boot ubuntu 12.10 Alpha from usb created with unetbootin.
- Install ubuntu.
- Reboot.
- Start windows 7.
- Reboot.
- Black screen.

Laptop model: NP530U3C A01

XclusR (xclusr) wrote :

Is there are any solution for this bug?

I have enabled UEFI-Support,
booted from Ubuntu 12.04 live-usb

Laptop stucks in blank screen.
After power-off cycle it shows only black screen.

I have no chance to boot up or enter to BIOS?

Is there any hardware way to reset BIOS settings? Will it help?

Laptop Samsung 530u3c with 24 Gb Express-cache.

Ludovico (aasonykk) wrote :

@ Xclusr: I think isn't possible reset the bios (cmos memory) without open it. Return the laptop to the seller and ask for a replacement.

Colin Watson (cjwatson) wrote :

@Davpal (#14): I have no idea what unetbootin does to USB images, I'm afraid. 12.10 images should be bootable from USB if they're just written directly to the drive (dd or similar) - diagnostically, I'm a lot more interested in that.

Thomas Gonet (gonet-thomas) wrote :

Same bug with the same procedure as OP for me with a samsung serie 7 chronos (np700z5c). The problem seems to be samsung related and not model related ... 2 laptop bricked too.

Are we sure that if we doesn't enable UEFI support no more brick can happened ? I'm thinking about my next laptop (same model or other brand)

Dave Gilbert (ubuntu-treblig) wrote :

Thomas:
  I doubt it's generic to other vendors, but it's not too surprising that Samsung are sharing code among different models in their range, and I think uefi support is required for some systems, so it's difficult to remove, and at this point it's difficult to say exactly
which bit is broken.

  Thomas (and any of the other victims), can you confirm which version of unetbootin you used to generate the USB image?

(And as per Colin's comments in #17 any reports of it happening with something other than unetbootin would also be interesting).

Dave

summary: - UEFI boot live-usb bricks SAMSUNG 530U3C laptop
+ UEFI boot live-usb bricks SAMSUNG 530U3C,np700z5c laptop
Thomas Gonet (gonet-thomas) wrote :

Thanks for your answer ! I have used the next version of Universal USB installer (1.9.1.1) (pendrivelinux.com), not unetbootin.

I love this laptop but this bug is annoying ... i'm waiting to decide if i'm going to buy the same one or an asus. (n56vz for exemple) but If we are sur that leaving uefi disabled solve this, it's ok for me ;)

Ludovico (aasonykk) wrote :

@20: after I disabled UEFI on 530U3C BIOS, I installed without problems Ubuntu 12.04.1

I think is the same with your laptop.

Thomas Gonet (gonet-thomas) wrote :

Thanks Ludovico. It's just post #8 that makes me ask ;) I'll probably re-order one tomorrow.

Colin King (colin-king) wrote :

Just to add, on UEFI machines that got bricked like this I removed the battery and disconnected the CMOS NVRAM battery and this restored the machine to the factory default and fixed the issue for me.

Thomas Gonet (gonet-thomas) wrote :

It didn't work for me ... have you ever tried with a samsung's laptop ?

antonio (emilmart10) wrote :

Same problem here. I have a Samsung 300e5c and I have bricked 2 laptop. After formatting the HD and installing win7 ( from original CD ), then is appeared a black screen and I can do NOTHING.
Someone has resolved ?

antonio (emilmart10) on 2012-09-25
no longer affects: ubuntu
Miguel Muñoz P. (mmunoz) wrote :

I have the same problem with a laptop (a second time)

Is a ubuntu-12.04.1-desktop-amd64.iso

Usb created with Ubuntu Live USB creator

I have enabled UEFI-Support

Laptop stucks in blank screen.
After power-off cycle it shows only black screen

It is the second laptop and I do not think you can return to the warranty, you can reset the BIOS on this computer? help please

(sorry for my English, I have been supported by google translator)

Laptop: NP530U3C-A02CL

Jose Padilla (sargepl) wrote :

Same here.

In my case I enabled UEFI and then booted Ubuntu 12.04 from a USB drive created from Windows 7. I choose "Try" in Grub and when the Unity desktop was on the display I pressed one of the bright keys. Then the desktop hung up. After that I pressed the power button for a while in order to shutdown the system and when I turned it on it had been already bricked.

It's a pity this laptop is affected by this bug. I really like it and I would consider to buy another model from another brand if the support service doesn't repair my laptop.

Laptop: NP530U3C-A01ES

Eirik Mikkelsen (eirikmik) wrote :

Confirmed on a NP700Z3C. Wow, didn't realise this was even possible. I will turn off UEFI in BIOS from now on.

Since my laptop was bought less than 30 days ago, I was able to exchange it for a new one (last in stock) - no questions asked!

Colin Watson (cjwatson) wrote :

FWIW, I escalated to our folks internally who deal with BIOS issues and they agreed with me that this is likely a UEFI bug that Ubuntu can't do much about; but I haven't heard anything back regarding escalating it to Samsung yet.

Steve Langasek (vorlon) on 2012-10-11
Changed in ubuntu-release-notes:
status: New → Triaged
importance: Undecided → High
Pavel Tetyaev (pahanini) wrote :

Confirmed at NP700Z7C, tried to install from USB Flash Ubuntu 12.04 desktop amd 64 created with unetbootin.

PS. Does anyone know how to unbrick laptop now?

Changed in shim (Ubuntu Quantal):
status: New → Confirmed
importance: Undecided → Critical
Steve Langasek (vorlon) wrote :

why have you assigned this bug to shim?

Changed in shim (Ubuntu Quantal):
status: Confirmed → Incomplete
Kate Stewart (kate.stewart) wrote :

From discussions with Michael earlier: shim task was opened to make sure bug was on release team radar, and hopes that either shim or grub may be able to participate in detection/mitigation. Issue some sort of "WARNING: don't do this, Ubuntu can't run on this firmware" if specific firmware identifier is detected, before UEFI progresses? If this is not the case, task should be marked as invalid.

Steve Langasek (vorlon) wrote :

The conclusion from the kernel team is already that it's not possible to work around this bug; and shim is *definitely* not the place for such a workaround to live because each revision of shim involves a round-trip to Microsoft. If anything's going to block the boot, it needs to be the kernel itself.

Since this bug is already assigned to the release notes, it's already on the release team radar AFAICS. But in any case, our best firmware people have already concluded there's nothing we can reasonably do here and the firmware just needs to get fixed.

Changed in shim (Ubuntu Quantal):
status: Incomplete → Invalid
Changed in ubuntu-release-notes:
status: Triaged → Invalid
importance: High → Undecided
crayzeewulf (crayzeewulf) wrote :

I confirm that this happens even with Ubuntu 12.10. Bricked on today. :(

Steve Langasek (vorlon) wrote :

crayzeewulf, I'm sorry to hear that you've run into this bug. I hope you are able to get the machine recovered through the vendor.

It would help us to track this bug down and spare other users this pain if you could provide more information about how you were installing and what you experienced.

 * Can you confirm that you had specifically configured your BIOS to boot in UEFI mode?

 * Can you tell us how you prepared the USB stick for booting? For instance: did you write the image to the disk using unetbootin, or with Startup Disk Creator, or with another tool (which one)? If using unetbootin, what OS did you use to do the writing?

 * When you tried to boot the image, what happened? At what point did the machine become unresponsive?

Hopefully you can take the time to answer these questions.

crayzeewulf (crayzeewulf) wrote :

Steve:

I did not expect this to happen in my wildest imagination and, hence, did not pay too much attention to the exact steps I followed. But I will try to answer your questions the best I can:

> Can you confirm that you had specifically configured your BIOS to boot in UEFI mode?

Yes. I tried booting the computer using the 12.10 (64-bit) USB stick but it would not recognize it as a bootable device. I tried changing several obvious things in the BIOS such as the boot device order. But these changes did not work. Eventually, I found an option that said something to the effect that enabling it will allow both legacy and UEFI boot. I remember that it was on an unexpected place in the BIOS (AFAIK). This allowed me to boot from the USB stick.

> Can you tell us how you prepared the USB stick for booting?

I used Startup Disk Creator from another machine that was running Ubuntu 12.04.1 (64-bit).

> When you tried to boot the image, what happened? At what point did the machine become unresponsive?

The machine booted up from the USB stick. During the initial stages of the boot process the screen blinked and I saw a UEFI-related message on the top-left corner of the screen. The message was only displayed for a fraction of second so the only words that I remember were "UEFI" and "secure". Also, the message consisted of only about four of five words.

After this I saw the familiar Ubuntu bootup screen with the image of a keyboard and a person/stick-figure at the bottom of the screen. I usually press space bar at this stage and select the option for installing Ubuntu on the system instead of using it as a "live cd". This is what I ended up doing. I figured that it will do its thing and take me through the installation process next. At this point I went away to do something else hoping to return to the installation screen in a couple of minutes. However, I returned to a black screen containing several error messages. These were not kernel oops messages as far as I remember. The messages complained about something going wrong with the CPU (sorry, I should have written these down but that is all I remember).

I was using a really really really old 1GB USB stick that I had dug up from a forgotten corner of a couch. So, I immediately blamed it, ignored the error messages, recycled power, and started my quest for another USB stick. After this the computer never booted up. :(

> I hope you are able to get the machine recovered through the vendor.

Lets hope so.

My Samsung lappy brick twice, but it is different in my case. The BIOS always broken aftere doing update from update manager.

1. Install Ubuntu
2. Boot normaly(no grub)
3. Update(Update Manager)
4. Reboot
5. Grub appeared from nowhere
6. Select ubuntu
7. Boot forever
8. Power off
9. Black Screen

Dave Gilbert (ubuntu-treblig) wrote :

Albert:
  Can you add some detail please;

   1) what model of laptop do you have?
   2) When you say it's bricked twice - that's confusing, do you mean you've permenantly unrecoverably bricked two laptops, or do you mean you somehow recovered them?
   3) What version of Ubuntu did you install at (1) ?
   4) The boot at (2) was that a normal boot after the installation?
   5) In (3) did it upgrade to a new version of Ubuntu (which?)
   6) Had you ever selecting the EFI boot options?

Dave

allocerceau (pkhbdb) wrote :

OK, so I just found out this bug while bricking my samsung laptop. I had trouble de install a windows 7 pro version over the home premium one, so I decided to try and install ubuntu.
I have (had ?) a series 3 samsung laptop, and tried to install 12.10 version of ubuntu.
The installation went well, until the computer rebooted to "blank" purple screen. I couldn't even shut down the laptop with a long press on the power button, so I forced shut down by removing the power cable. When I tried to power it on, I had and still have nothing on the screen (it powers on but nothing happens).

I tried to clear cmos by removing the battery inside but it was no use.
Connecting to another screen didn't help as well.
I also tried to long press the power button without any power supply (cable or battery).

I don't know what to do, and feel like I just lost 500€ (the laptop was never used). I am pretty upset.

Dave Gilbert (ubuntu-treblig) wrote :

pkhbdb/allocerceau: Can you state the exact version of the samsung laptop you had/have.

When you did the installation, how did you install - did you use a CD or USB stick? Did you at any point select 'EFI' during the boot process? If you used a USB stick how exactly did you right the thumb drive?

Dave

allocerceau (pkhbdb) wrote :

Hello Dave,
I have a NP300E5C laptop (this one http://www.amazon.fr/gp/product/B008AHF8VG/ref=oh_details_o01_s00_i01 )
I used a usb stick. I did not select EFI anywhere (in fact I don't know what it is).
The thumb drive was first in the boot order in the BIOS.
That's about it. I don't know what Samsung will say about that, I don't even what to say when I'll call them. I shouldn't mention ubuntu right ? I'll certainly erase the disk before I sent the unit anyway.

allocerceau (pkhbdb) wrote :

A quick update, I connected the laptop hard drive on my computer, and there is a 94Mo "EFI" partition.

   1) what model of laptop do you have?
        > Samsung 5 series ultra (530U3C)
   2) When you say it's bricked twice - that's confusing, do you mean you've permenantly unrecoverably bricked two laptops, or do you mean you somehow recovered them?
        > Yes its bricked unrecoverable, so i bring the laptop to nearest Samsung center and they told me that they have to change the mainboard to recover my laptop. Since i had broke my laptop twice Samsung told me to not broke it again, so now i have no choice to run other OS than Windows :(
   3) What version of Ubuntu did you install at (1) ?
        > 12.04
   4) The boot at (2) was that a normal boot after the installation?
       > Yes the boot very normal, no problem at all
   5) In (3) did it upgrade to a new version of Ubuntu (which?)
       > Nope, i just update some package from ubuntu update manager
   6) Had you ever selecting the EFI boot options?
      > Yes, the EFI boot options is enabled, because i can't boot from usb if EFI disabled.

Jose Padilla (sargepl) wrote :

#43 Why can't you boot from USB if EFI is disabled?. On my series 9 with EFI disabled I can and I could with my series 5. In the BIOS, disable "Quick Start" and on the boot priority select "USB HD "as your first option.

Jose

I don't know. Because 1st time i want to install Ubuntu 12.04 in my 530U3C, the laptop always boot to windows even if i set the 1st boot priority to "USB HD". After that i tried to boot normally and press F10 to show the boot options, the boot options appeared but there is no USB option in it. So i tried to enable the EFI boot options and press F10 once again... Viola the boot options appeared and i can boot from USB.

In the 2nd attempt all i do is enable the EFI boot options - reboot - press F10

Sorry for my bad english.

Jose Padilla (sargepl) wrote :

The behaviour you describe I guess is due to have the "Fast BIOS Mode" option enabled in your BIOS. When this option is enabled the boot preferences are ignored. Try to change it to disabled and then select "USB HD" as your first option under "boot device priority". Nevertheless, there exists some bugs related with ACPI on Samsung laptops (it affects Ubuntu and other distributions, even with Linux mainstream kernels).

Jose

Ah... i see, thank you for your explanation.

Pavel Golikov (paullo612) wrote :

Just bricked my Samsung 530u3c. UEFI mode was on.

I made a bootable flash from Ubuntu 12.10 64bit image using 12.04's usb disc creator, then booted up, UEFI mode was on. (I've seen the black grub screen insteard of syslinux), it booted normaly, everything was ok. Then I tried to disable bluetooth and got kernel panic.

After reboot I see the black screen and nothing happens.

Such a pity. It takes at most 45 days to repair any device in Russia. Only after that time I can request for new one or money back.

Pavel Golikov (paullo612) wrote :

 Bootable flash was with Ubuntu 12.10 64bit image and I made it form 12.04 allready installed.

12.04 32 bit booted nicely with UEFI support mode on. This boot image had syslinux bootloader. I insalled it and used it since i've bought my laptop.

Vladimir Pavlov (pavlovmc-t) wrote :

Hello.

I bought ASUS K55N laptop and have the same problem. Any Linux kernel doesn't start in UEFI mode. GRUB2 strarts normaly, but after when I select kernel I see black screen.

If I try start Linux from UEFI Shell I see that system just freezing.

pancho (flopezorozco) wrote :

Hello to everyone,

I have the very similar problem with my new laptop Samsung NP3005CXXXX with Win7 pre-installed. I install ubuntu and after that the laptop is bricked. In fact, I decided to install ubuntu using all the hard disk what means that I was not expecting to have a dual boot. Now, neither linux nor windows is working and the screen is always blac. Could some one give me an advice? I don't know if I could do something with the warranty service.

Thanks,

Jose Padilla (sargepl) wrote :

According to this, http://fsfe.org/freesoftware/legal/flashingdevices.en.html, you should not have any problem with your warranty service.

Jose Padilla (sargepl) wrote :

Sorry, the aforementioned is assuming that you bought it in Europe.

pancho (flopezorozco) wrote :

Thanks Jose Padilla. It was...Did you have experienced the same problem with your laptop? If yes, how did you solve it?

Thanks.

Jose Padilla (sargepl) wrote :

I bought my laptop in an online shop. It was bricked only two hours after I had received it. So immediately I sent an e-mail to demand a new one. Because of I was afraid that they could reject my demand, I lied a little (I still didn't know the Directive 1999/44/CE) . I told them that it was bricked after a Windows 7 update and omitted the part that I had Ubuntu installed. After all, I was sure it wasn't a hardware problem and they could reflash the BIOS to solve it. After four days they told me that the Samsung Series 5 was already discontinued. In that case I demand a full refund of my money that I received after three days.

Now I have a Samsung Series 9 (NP900X3C) and I'm very happy with it.

Timo Palomaa (timppis) wrote :

What is the latest firmware that the Samsung updater software (on Windows) provides? On the Samsung support site latest version is 1.0.0.3 from May 9, 2012. I am thinking about getting this model, so am thinking if there is even a slight chance that this bug is ever going to get fixed.

#55: "they told me that the Samsung Series 5 was already discontinued" - The whole Series 5? I doubt. Must have meant this model only - there's already a new touchscreen version coming with Win8, and there was a 530U3_B_ before this 530U3C.

Jose Padilla (sargepl) wrote :

#56: Yes, you're right. I meant to 530U3C model. I suppose It was discontinued only in that online shop, not Samsung.

Tristen (tristen-wentling) wrote :

Hey, not good news for some of you, but at least I finally found others, this is pretty much exactly what happened after I upgraded from 12.04. The difference is I have a Toshiba Satellite L505D-S5965. I have been beta testing for about a year and a half but I sat out this cycle. Anyways, I have also bricked my laptop as a result. Thought I would share in case the info helps, maybe there are some build similarities that could id the source of the problem and maybe a fix. If there is a fix btw could someone let me know, I miss my Toshiba... :)

On Wed, Nov 28, 2012 at 12:30:05AM -0000, Tristen wrote:
> Hey, not good news for some of you, but at least I finally found others,
> this is pretty much exactly what happened after I upgraded from 12.04.
> The difference is I have a Toshiba Satellite L505D-S5965.

This does not at all describe the issue at hand. An upgrade would not cause
an Ubuntu system to start using UEFI where it didn't before, and the problem
here is already present when booting 12.04 in UEFI mode on an affected
Samsung system. While it's possible a bug left you with a non-booting
system on upgrade, it's unlikely that the upgrade bricked your laptop - to
"brick" the laptop means that the hardware can no longer boot *any* OS, not
just that your current install is non-bootable.

Either way, this is unrelated to the present bug report and you should file
a separate bug.

Lucas (teachmeter) wrote :

Want to Confirm the brick bug.
My case was:
install Ubuntu 12.10 x64 aside Windows 8 and dualBoot

Disabled UEFI -> install ubuntu -> reboot -> windows -> set boot options in windows -> made error in boot options -> Bios -> changed UEFI to enabled -> reboot -> ubuntu error -> brick;

Also as Off topic i want to tell you that my samsung series 5 did not heal itself after reseting cmos...
Warrany here we come.

Angel Garcia (angarciaba) wrote :

At my university, we bought several Samsung Series 5 laptops (NP530U3C model). Our students bricked four of them when installing Ubuntu. I sent them back to Samsung that repaired them promptly by warranty service.

I don't know exactly what Bios configuration neither what Ubuntu version each student tried. I only know they installed Ubuntu from a USB stick.

Now the good news: I have just installed ubuntu-12.04.1-desktop-i386 in five of these laptops without problem. The procedure I followed was shrink Windows, disable UEFI in BIOS, and boot from a ISO CD with Ubuntu (not a USB), with an ethernet conection.

I want to remark something strange: on two of these laptops, after installing and do a power off cycle, both laptops frozen at BIOS screen ([F2] and [F4] message visible, but irresponsive to keyboard). However I do not power off the laptop because I did fear to brick it again. Actually, I waited for around 10 minutes, and magically the laptop resumed itself. But after a few seconds it frozen again with a black screen, and after 10 minutes it resumed the boot procedure (Grub screen). And now they are fully funcional as in Linux as in Windows.

(The other three laptops were installed flawlessly, without any freeze at all).

I suppose that these frozen lapses can be due to an automatic BIOS upgrade. If so, power down the computer at this moment (as many of us did) will brick it.

bios version = micom version = P03AAJ

Chris Merrett (chrisfu) wrote :

Just to add to this, I installed without issue last night on an NP530U3C-A04UK in the following manner:

* Booted first time into Windows, found that Fastboot was already disabled (new Ultrabook in sealed box) and disabled Intel Smart Response (the SSD caching).
* Updated the BIOS immediately to P08AAJ via the updater on Samsungs support site. System rebooted back into Windows.
* Shutdown, inserted USB stick with 12.04.1 amd64 "alternate" and started up again, hammering F2 as I power on. From what I see the Desktop installer is part of the problem, so avoid it.
* Double checked that Fastboot was disabled, and BIOS boot was already set to Legacy instead of UEFI. Set the USB stick to the top of the boot order.
* Save settings and exit, and it'll boot the installer from the USB stick.

You don't *need* to do anything special during the install, everything worked smoothly and was very, very fast. I did it in the following way:

sda is the HDD (grub on MBR)
/boot - 300MB ext3
[ within "hdd" LVM group -
swap - 8GB (only got 6GB in the system, but will upgrade to 8GB and will want to try hibernation at some point. On the HDD to preserve the SSD lifetime)
/home - all free space ext4
- within LVM ]
hidden NTFS - ~23GB (I kept this in case I need to recover Windows 7 when I sell it some years down the line)

sdb is the SSD
[ within "ssd" LVM group -
/ - 24GB ext4
- within LVM ]

When you boot the first time into Ubuntu, don't mess with anything. Just take it through a full update and don't mess with anything. For example, I messed with the brightness hotkeys on the keyboard, which hardlocked the machine. If you do that you might have just wasted ~20 minutes. Just leave it and try it when you've updated and rebooted. It'll work fine then.

Suspend on lid close works fine too. I noticed the machine didn't wake up when I opened the lid, but I'm not too bothered about that when pressing the power button de-suspends it just fine. I've yet to get around to enabling hibernation and trying it, but I'll let you guys know when I do.

I'd suggest sticking with 12.04.1 for this model to be honest, as battery life clocks in at around ~5 hours from what I understand, which isn't fantastic but isn't entirely poor either. 12.10 is running a 3.5.x series kernel which is suspected to have several kernel power regressions which can cut up to an hour off your precious 5 hour battery life in certain circumstances. If you don't specifically need 12.10, steer clear on mobile devices until you hear of the issues being traced, patched and fixes pushed out.

All in all, I'm very impressed with this machine!

angarciaba, I'm not sure that the machines even do an automatic BIOS upgrade. I upgraded mine manually within Windows 7 before I would even attempt to install Ubuntu.

I also bricked my brand new Samsung 700Z3C-S03 when I was installing Ubuntu 12.10 64 Bit from USB-Stick. The USB-Stick was prepared with unetbootin before.

allocerceau (pkhbdb) wrote :

A little update with my situation, I sent the laptop back to Samsung, they changed the motherboard and it's working again now. I won't try to install Ubuntu though. The whole process too about 2 weeks.

tabares (tabares) wrote :

Same here. I'm installed sucessfully Ubuntu 10.04 x86 in the SAMSUNG 530U3C and works fine. But when I tried to install the 64 bits version, I assumed that enabling the UEFI boot from bios will upgrade the performance, but the Laptop hanged up in black screen and never start over again. Turn the power button On, the power light blink, then the HDD light and thats all. It's impossible to switch any option of the BIOS due to is impossible to see it. The shop changed me the laptop for a new one because I bought it only15 days ago. I'm afraid to try out again the Ubuntu 12.10 amd 64 with the UEFI boot disable and this episode shows up again.

I am in a similar situation. Last week I bricked my 700Z3C during the installation of Ubuntu 12.10 64Bit from USB-Stick (unetbbotin). I could change the device without any problems. Now of course I am fear that I will run in the same problem if i try it again. But this time I would install from DVD. UEFI Boot is disabled in the BIOS. I have also updated the BIOS to Version P04AAG. I have also changed the partitions. That means that I have decreased the Windows-Partition to 120GB and created a 8GB Partition for swap and a 50GB ext4 partition for / and a large NTFS-Partition for data which I will use from Windows and from Linux. The 100MB System ans 21GB recovery partition I didn't touch. All these I have done with starting Ubuntu-DVD. I am still able to start Windows without any problem. The next step should be the Installation of Ubuntu in the prepared partition. But I will not brick the notebook again. Is it safe to install from DVD? Where i should install grub?

sunday (n-h) wrote :

Bricked Laptob today (2012-12-18).

*Model: Samsung NP530U3C-A01E

*Note: Prior to bricking: Installed Xubuntu 64bit (12.10). No Problems occured during the first three weeks of usage (including kernel update). The only thing I noticed was battery/power status misinformations. (likely the already mentioned acpi bug..)

*Tried to reinstall to SSD today (laptop features a hybrid harddisk) for which I had to enable EFI. At the same time I disabled fastboot in BIOS.

*EFI in BIOS was enabled so I was able to boot from external USB Harddisk (as booting image from USB stick did not work with the usb stick employed today).

*everything (Installation to SSD and booting/shutdown) worked fine.

*Bricking the device: Turned off the device (with an usb stick in right usb 2.0 port). Powered device back on with usb stick still inserted. During BIOS stage (before bootloader got loaded) i pulled the USB stick out of its slot. After that, the laptop seemed to have froozen. Now I am able to experience the black screen situation as described above.

This is no Linux/Ubuntu Bug. Just wanted to inform other people not to touch boot devices in BIOS stage as this may just as well brick your laptop.

Also affects Samsung 300E5X S01, just bricked one. Anyway - this (I guess) isn't Ubuntu problem but Samsung - bricked via Linux Mint live USB.

Steve Langasek (vorlon) wrote :

Samsung has suggested that this issue is being triggered by the samsung-laptop kernel module. This module is known to cause other issues on Samsung systems when booted in EFI mode:

https://bugzilla.kernel.org/show_bug.cgi?id=47121

Kernel team: is it possible to disable the samsung-laptop module when booted under EFI mode? Obviously this would have to be done at module load time; but that may be the best workaround until upstream is able to fix the module to stop tickling the firmware bug. I would prefer for us not to have to disable the samsung-laptop module entirely to work around this, since that would cause regressions for users who have Ubuntu working fine on their systems already in BIOS mode.

affects: shim (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
status: Invalid → New
tags: added: kernel-key

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1040557

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Steve Langasek (vorlon) wrote :

No logs needed for this one, and by the nature of the bug, none available. :P

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Colin King (colin-king) wrote :

I deem it fairly trivial to check for EFI mode and make the driver return -ENODEV during the init so we don't load this driver. Just sanity checking my patches on oneiric through to raring right now.

Kenbob (retail-n) wrote :

Bricked my Samsung NP900X4c

Installed Ubuntu 12.04 from a flash drive with UEFI ENABLED. I never could get it to dual boot with Windows 7 so I completely wiped the SSD including the recovery partition. Ubuntu 12.04 worked well but I was frustrated by the lack of support for function keys, and upgraded to 12.10 via internet. Booting into 12.10 was difficult, and I frequently got kernel panics as illustrated here:

https://bugzilla.kernel.org/show_bug.cgi?id=47121

see this screenshot because it looked just like mine:

https://bugzilla.kernel.org/attachment.cgi?id=79381&action=edit

In roughly one out of 15 startup cycles, the machine would boot successfully and I could log-in. I thought I'd use suspend/resume instead of a power down because that seemed to work reliably. However starting/stopping the WIFI and starting Bluetooth also threw a Kernel panic necessitating a restart.

The only way to clear a Kernel panic was to press and hold the power switch until the computer restarted. In one of these power down cycles I had the bright idea of hitting the emergency battery reset button (small hole in the bottom plate of the computer). THIS IS THE ACTION THAT BRICKED THE COMPUTER. From this point on, I just get a light on the power button and nothing else... BIOS is toast!

FWIW- ubuntu 12.10 looked very promising. The samsung kernel module provided support for nearly all function keys with the exception of wireless on/off.

Can anybody give me some advice regarding sourcing a new motherboard?

Colin King (colin-king) wrote :

I've got a small fix that will disable samsung-laptop in EFI mode, and there are some 64 bit kernels available for testing here:

http://kernel.ubuntu.com/~cking/samsung-1040557

@Steve, are we able to get hold of Samsung to test this?

Andy Whitcroft (apw) wrote :

Pulled in colin's fix to the various trees for the next set of uploads.

Changed in linux (Ubuntu):
assignee: nobody → Colin King (colin-king)
Changed in linux (Ubuntu Precise):
importance: Undecided → Critical
Changed in linux (Ubuntu Oneiric):
importance: Undecided → Critical
status: New → Fix Committed
Changed in linux (Ubuntu Precise):
status: New → Fix Committed
Changed in linux (Ubuntu Quantal):
status: Invalid → Fix Committed
Changed in linux (Ubuntu):
status: Confirmed → Fix Committed
Changed in linux (Ubuntu Oneiric):
assignee: nobody → Colin King (colin-king)
Changed in linux (Ubuntu Precise):
assignee: nobody → Colin King (colin-king)
Changed in linux (Ubuntu Quantal):
assignee: nobody → Colin King (colin-king)

On Thu, Dec 20, 2012 at 11:40:36AM -0000, Colin King wrote:
> I've got a small fix that will disable samsung-laptop in EFI mode, and
> there are some 64 bit kernels available for testing here:

> http://kernel.ubuntu.com/~cking/samsung-1040557

> @Steve, are we able to get hold of Samsung to test this?

I'm in contact with Samsung, but getting them to test a kernel package is
going to be non-trivial; the folks working on this aren't actually Linux
folks. We would need to provide them a complete bootable image to test
with.

If it's possible to push this into precise-proposed without advanced
testing, that would be easiest as we could pick up the daily images from
there.

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

montini (montini) wrote :

Is there any information if it is safe to start 12.10 live USB flash in mode "UEFI and CMS" (mixed bootloader) on NP530U3C-A05EE? Or only the plain CMS is safe at the moment? I.e. is it only possible to dual boot ubuntu and win8 by switching boot mode in the BIOS settings or "UEFI and CMS" method is safe aswell?
Bought this machine a few days ago and accidentally ran into this bug page (thank god though) - would've thought twice if I knew such issues are even possible :/
Typing from Win8 but I miss my ubuntu already.
BTW, I managed to run 12.10 liveUSB in plain "CMS" mode with no fatal consequences - but still was afraid to install it yet.

Steve Langasek (vorlon) wrote :

On Sat, Dec 22, 2012 at 10:52:53AM -0000, montini wrote:
> Is there any information if it is safe to start 12.10 live USB flash in
> mode "UEFI and CMS" (mixed bootloader) on NP530U3C-A05EE? Or only the
> plain CMS is safe at the moment?

Only plain CMS is safe. Mixed bootloader options are specifically *not*
safe, because the live USB disk will be bootable under UEFI.

> I.e. is it only possible to dual boot ubuntu and win8 by switching boot
> mode in the BIOS settings or "UEFI and CMS" method is safe aswell?

Once you have Ubuntu installed in CMS mode, it will be safe to dual boot
because a UEFI boot loader will not be installed. But for first boot and
installation, you would need the machine to be in CMS mode only.

Also, if you are willing to help us test a fix for this issue, the following
would be useful. It does present some risk of bricking your laptop (if our
patch is wrong), so please only do this if you're willing to risk having to
RMA your machine!

 - put the BIOS in CMS mode
 - install Ubuntu to the internal hard drive
 - install Colin King's test kernel package from here:
   http://kernel.ubuntu.com/~cking/samsung-1040557
 - put the BIOS back into "UEFI and CMS" mode
 - boot Ubuntu
 - verify that the samsung-laptop module still gives you access to your hot
   keys
 - configure your /etc/fstab to mount the EFI system partition (as used by
   Windows) at /boot/efi, and mount the partition
 - install the grub-efi package (note: this may require additional manual
   configuration to get it fully set up, I'm afraid I can't give very good
   instructions here)
 - reboot to Ubuntu using grub-efi, taking care to confirm that you're
   really booting the efi version of grub
 - verify that the samsung-laptop module does not brick your laptop

If you're not willing to risk your laptop on this test, that's perfectly
understandable. In that case, you should be fine to just install Ubuntu on
the machine in CMS mode.

montini (montini) wrote :

what are the actual benefits of booting UEFI way? Is it faster booting or what? Maybe the instant-on feature I now expirience on Win8?

So let me get this straigt - the safe way to install would be:
1. Boot win8 in UEFI mode and shrink the disk leaving space for ubuntu
2. Reboot, set the machine to CMS mode;
3. boot the machine from liveUSB x64 12.10
4. select install, and partition drives like I used to - separate "/", "home" and swap partitions (by the way - is it possible to install "/" into SSD part of the disk - how does that affect win8 - does it use it?)
5. after successful installation - sudo apt-get update and upgrade
6. reboot, set the machine into "UEFI and CMS" mode? (what did you mean by "Once you have Ubuntu installed in CMS mode, it will be safe to dual boot") Because now when I set "CMS mode" - the win8 is not found/ does not bootup. Or will grub2 loader somehow find the win8 and put it into grub menu, and I am doomed to always boot in "CMS" mode as any atempt to switch BIOS to UEFI would result in a brick?

By the way - I have upgraded the firmware BIOS to P05ABH (BIOS version and MICOM version). Is it reported to have the same bug, no patch yet?

Steve Langasek (vorlon) wrote :

On Sun, Dec 23, 2012 at 11:13:55AM -0000, montini wrote:
> what are the actual benefits of booting UEFI way? Is it faster booting
> or what? Maybe the instant-on feature I now expirience on Win8?

Well, UEFI should boot faster than BIOS, yes. It is also, as you say, the
only way to boot the Windows 8 install, so you need this if you want dual
booting.

> 4. select install, and partition drives like I used to - separate "/",
> "home" and swap partitions (by the way - is it possible to install "/" into
> SSD part of the disk - how does that affect win8 - does it use it?)

Sorry, I don't know anything about the disk layout of the machine in
question. You'd have to see what options the Ubuntu partitioner gives you.

> 5. after successful installation - sudo apt-get update and upgrade
> 6. reboot, set the machine into "UEFI and CMS" mode? (what did you mean by "Once you have Ubuntu installed in CMS mode, it will be safe to dual boot") Because now when I set "CMS mode" - the win8 is not found/ does not bootup. Or will grub2 loader somehow find the win8 and put it into grub menu, and I am doomed to always boot in "CMS" mode as any atempt to switch BIOS to UEFI would result in a brick?

No! You *must* install Colin King's test kernel package, an apt-get update
&& upgrade is *not* sufficient. Rebooting to UEFI mode without first
installing the test kernel is VERY dangerous.
>
> By the way - I have upgraded the firmware BIOS to P05ABH (BIOS version
> and MICOM version). Is it reported to have the same bug, no patch yet?

Samsung has prepared a test patch internally which is not yet ready for
rollout to users.

I have managed to install Ubuntu 12.04 and windows 7 parallel in dual boot for the Samsung 530u3c. The laptop had fastboot option and uefi boot disabled. As a default Ubuntu installer provided to install grub on the SSD device, which sounded strange. I installed all grub, Ubuntu and win7 on the 500hdd.

montini (montini) wrote :

Was that 12.10 x86 or x64? And why wouldn't you install "/" partition onto SSD? Why does that sound strange to you - just curious? So this is Win7 - it doesn't require UEFI as far as I understand? Did you leave "recovery" partitions intact for future use? Which ones?

This topic is probably not Ubuntu related, but any UEFI linux distro. What I found out so far:
Notebook: Samsung series 3 NP300E5C-A05DE (German), BIOS-ID: RAC, current version: P05RAC

Installed Linux Mint 13, MBR mode. Later converted to GPT/UEFI - all seemed ok. Device booted ok, but then I recognized, that I was unable to enter the BIOS Setup with F2 anymore.

What still works: F3 to boot from CD, FAT32-Stick with EFI-Shell v1.0 saved as \EFI\BOOT\BOOTx64.efi
(2.0 does not work even if BIOS version is UEFI 2.31)

My fix: CD with WinPE, then flash BIOS (if using Samsung Flasher need to remove version check is BIOS is current, or directly use WinFlash)

What's causing this?

After I fixed my BIOS I tried to re-enable UEFI booting my linux using "efibootmgr", which instantly messed up my BIOS again (but I need stuff like that twice...)

So I messed around with HexEdit and efishell and found 10 - in words TEN - efi boot entries within the Samsung BIOS, that are not even shown in "efibootmgr" - the first Entry is "Setup", second is "Recovery", third is "CD-ROM" and so on, so it seems like Samsung is misusing those hidden bootentries for their own stuff, putting the Setup into the first boot entry, which will be overwritten by efibootmgr - explains why it was still booting, but unable to enter Setup.

Since I found the key assignments to these entries within Samsung related BIOS modules, they are responsible for this non-standard stuff. Thank you, Samsung.

My stuff still does not explain complete bricks like others have encountered. But maybe the hint with the version 1.0 efishell might help, or even pressing F3 still helps, if the BIOS is not bricked completely.

For all the Linux EFI programmers: Those bootentries are there, but only shown by efishell. Why does the nvram-module in linux not show them? Maybe there is an unusual way to get them from the nvram - if you could check them you should be able to avoid these bricks..

thaimite (rcornish) wrote :

I have a similar problem which maybe related.
The machine was less than 2 weeks old when it failed last week.

Turned off fast boot, Installed Ubuntu 12.10 and all working well with minor compatibility issues.
Loaded applications from previous machine and did all updates with no problems.
Turned on FastBoot. /UEFI - Still working (BIG Mistake)
Updated Samsung BiOS to version 004 - Still working
With Fastboot /UEFI turned on and BIOS 004 - All OK
Rebooted many times - Some issues with Kernel panic and 3.7.0.7 kernel when booting with a USB drive attached but otherwise OK. Note kernel Panic means disconnecting the battery with using the pin hole to turn off the machine and enable a reboot.

Put in a 12.10 Live CD to extract some files. - CD never completed booting, black screen. unable to enter BIOS or eject the CD.
Samsung state new Motherboard required.
The fact that this machine can be bricked just by trying to run a Live CD is a MAJOR issue which could effect potential first time users.

Luis Henriques (henrix) wrote :

This bug is awaiting verification that the kernel for Oneiric in -proposed solves the problem (3.0.0-30.47). Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-oneiric' to 'verification-done-oneiric'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-oneiric
Luis Henriques (henrix) wrote :

This bug is awaiting verification that the kernel for Quantal in -proposed solves the problem (3.5.0-22.33). Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-quantal' to 'verification-done-quantal'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-quantal
Luis Henriques (henrix) wrote :

This bug is awaiting verification that the kernel for Precise in -proposed solves the problem (3.2.0-36.56). Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-precise' to 'verification-done-precise'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-precise
Steve Langasek (vorlon) wrote :

On Mon, Jan 07, 2013 at 10:20:47AM -0000, Luis Henriques wrote:
> This bug is awaiting verification that the kernel for Precise in
> -proposed solves the problem (3.2.0-36.56). Please test the kernel and
> update this bug with the results. If the problem is solved, change the
> tag 'verification-needed-precise' to 'verification-done-precise'.

> If verification is not done by one week from today, this fix
> will be dropped from the source code, and this bug will be
> closed.

Hmm, there was no notice to the bug indicating that a kernel
including this fix is available. Due to the nature of this
change, verification needs to be done with daily CD images of
precise. Luis, please do not pull this fix out, this is a very
important issue to get resolved.

Is someone with a Samsung laptop willing to test the daily images
from http://cdimage.ubuntu.com/precise/daily-live/current/ to verify
whether they have solved this bricking bug problem?

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
<email address hidden> http://www.debian.org/

Joseph Salisbury (jsalisbury) wrote :

I just performed some regression testing of the -proposed kernels for Quantal(3.5.0-22) and
Precise(3.2.0-36). The testing was done on a Samsung NF110/NF210/NF310 in BIOS mode. I didn't see any regressions or lose functionality with these kernels.

Hi,

It seems like i am having a similar issue with a Lenovo IdeaPad n585 laptop...

Anyone having trouble booting with an IdeaPad?

Steve Langasek (vorlon) wrote :

> It seems like i am having a similar issue with a Lenovo IdeaPad n585
> laptop...

That is entirely unrelated. Please don't use this bug report for
discussing issues with non-Samsung UEFI hardware.

Joseph Salisbury (jsalisbury) wrote :

Carl Gaudreault,

I would suggest opening a new bug for your issue, so it can be addressed properly.

Thanks in advance!

Aki Rossi (lorkki) wrote :

> Samsung has prepared a test patch internally which is not yet ready for
> rollout to users.

Are there any further details on this? I just flashed a new firmware update (P09AAJ) but I can't seem to be able to find a changelog anywhere.

Luis Henriques (henrix) wrote :

Due to the nature of this issue, we are making an exception for the verification of this bug. After several discussions on IRC, it has been decided to go ahead without reverting this patch although we don't have the verification. Quoting apw on IRC:

< apw> yeah it is very very unlikely to cause problems and if it does it means you don't keys keys or something for a small number of machines
< apw> and the potential upside, our CDs are safer, seems worth that risk to me

Also, jsalisbury has been testing these kernels (comment #89) and didn't found any regression.

Thus, I'm tagging this bug as verified for all series.

tags: added: verification-done-oneiric verification-done-precise verification-done-quantal
removed: verification-needed-oneiric verification-needed-precise verification-needed-quantal
Dave Gilbert (ubuntu-treblig) wrote :

Luis: What jsalisbury's test doesn't check is whether it still bricks a machine; what it needs some brave
person to try it in EFI mode; so I agree it's probably right to release, but lets be careful not to mark this
bug as fixed until we have verification it doesn't still brick machines.

Val (vk1266) wrote :

Interestingly, I can get Ubuntu Live CD 12.10 x86_64 to boot my Samsung NP700Z5C in Secure Boot (!) with "Try Ubuntu without installing" with all the factory BIOS settings, except that the FastBIOS mode has been disabled and the boot order has been changed accordingly to allow booting from the Live CD.

Now while I had my NP700Z5C booted with Ubuntu Live CD, I did "lsmod | grep -i samsung". Nothing came back! Further, "grep -i samsung /etc/modprobe.d" returned nothing as well. Apparently, 'samsung-laptop' module has not been blacklisted in my Live CD. I am using (uname -a):
Linux ubuntu 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:31:23 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Steve, what does this all mean? If 'samsung-laptop' module is not loaded by Live CD 12.10 x86_64, then presumably I don't need to install the patched kernel with Colin King's modifications, right?

My understanding is that Secure Boot implies the use of UEFI. While 'samsung-laptop' is not loaded, how safe is it to proceed with Ubuntu installation in Secure Boot mode?

I will be happy to run as many additional checks as necessary before attempting the installation in order to avoid the RMA route.

kner (kner) wrote :

bricked my Samsung NP300E5C today.
Tried to install latest Ubuntu 64bit on a brand new samsung ssd;
used Ubuntu32bit before.
switched on sata3 mode in bios before installation - no other changes
got critical errors during installation
then i wanted to switch back sata mode; got something like "bios ... full ???" error message when trying to save the settings
now black screen - no reaction at all
removed nvram battery - no reaction

Steve Langasek (vorlon) wrote :

On Mon, Jan 14, 2013 at 02:58:44PM -0000, Val wrote:
> Steve, what does this all mean? If 'samsung-laptop' module is not loaded
> by Live CD 12.10 x86_64, then presumably I don't need to install the
> patched kernel with Colin King's modifications, right?

Colin King's change will have no effect for machines that don't use the
samsung-laptop module.

> My understanding is that Secure Boot implies the use of UEFI.

Correct.

> While 'samsung-laptop' is not loaded, how safe is it to proceed with
> Ubuntu installation in Secure Boot mode?

We don't know. Our best understanding at present is that samsung-laptop is
the cause of the machine bricking under UEFI, but for obvious reasons this
is difficult to confirm with certainty.

Val (vk1266) wrote :

Steve, I am trying to decide whether I should attempt installing Ubuntu on my Samsung NP700Z5A (and of course risk bricking the laptop in the process) through the route of CMS boot + Colin King's patch, meaning the route you proposed, or through the Secure Boot route.

I thought I should try to collect as much information as possible *before* attempting the installation, for obvious reasons. Here is what I have observed so far while experimenting with booting Ubuntu Live CD 12.10 x86_64.

1. Turning off Secure Boot and setting the boot mode to plain CMS results into the 'samsung-laptop' kernel module being loaded:

     ubuntu@ubuntu:~$ lsmod | grep -i samsung
     samsung_laptop 14532 0
     video 19335 3 samsung_laptop,nouveau,i915

2. With Secure Boot on, I get a few lines of messages for a split-second before "Try Ubuntu without installing" appears. There is something about "... forbids loading module ..." in the messages but it's almost impossible to make out what these messages are. Okay, when the "Try Ubuntu" item shows up I can enter Grub command line mode and that's where I get something that looks quite similar to what flashes on the screen a few moments before. Here is a sample of what I get:

     grub> ls
     error: Secure Boot forbids loading module from (cd0)/boot/grub/x86_64-efi/ls.mod
     grub> list_env
     error: file `/boot/grub/grubenv' not found
     grub> help
     error: Secure Boot forbids loading module from (cd0)/boot/grub/x86_64-efi/help.mod

lsmod in Grub command line produces a long list of modules loaded; linuxefi is one of them. There is no 'grep' or 'more' or 'less' in Grub command line and obviously I can't scroll up to see the full list. I wish there were some kind of a log file with error messages to examine. I did not see 'samsung-laptop' in the list of loaded modules, but I think it's reasonable to assume that it is not loaded because it's not there when the system completes booting in the Secure Boot mode.

Proceeding with "Try Ubuntu without installing" normally brings up the GUI without a hitch. Although I did experience a complete freeze once during boot-up at the point of the word Ubuntu with flashing dots below. I thought the RMA time has arrived! After long-pressing the Power button to power off and then pressing Power again the system luckily came back alive (so far at least).

So, is the Secure Boot a good thing or a bad thing? samsung-laptop is obviously not loaded under the Secure Boot. It looks like Grub x86_64-efi modules are also not loaded, but linuxefi is loaded.

I am thinking of attempting an installation with the --no-bootloader option first to see if the installation process can complete without bricking the laptop. If the installation completes successfully, then I think the bootloader installation process becomes the main suspect. But before I get there... should I try installation in the CMS Mode + Colin King's patch, or in the Secure Boot mode?

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :
Download full text (5.9 KiB)

This bug was fixed in the package linux - 3.0.0-30.47

---------------
linux (3.0.0-30.47) oneiric-proposed; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #1095352

  [ Colin Ian King ]

  * SAUCE: samsung-laptop: disable in UEFI mode
    - LP: #1040557

  [ Herton Ronaldo Krzesinski ]

  * SAUCE: usb: cdc-wdm: fix regression on buffer deallocation
    - LP: #1074157
  * [Config] updateconfigs for 3.0.57 stable update

  [ Kees Cook ]

  * SAUCE: exec: do not leave bprm->interp on stack
    - LP: #1068888
    - CVE-2012-4530

  [ Upstream Kernel Changes ]

  * Revert "sched, autogroup: Stop going ahead if autogroup is disabled"
    - LP: #1088641
  * ALSA: pcmcia - Use pcmcia_request_irq()
    - LP: #1087264
  * drivers/block/DAC960: fix DAC960_V2_IOCTL_Opcode_T -Wenum-compare
    warning
    - LP: #1087264
  * drivers/block/DAC960: fix -Wuninitialized warning
    - LP: #1087264
  * riva/fbdev: fix several -Wuninitialized
    - LP: #1087264
  * ifenslave: Fix unused variable warnings.
    - LP: #1087264
  * x86-32: Fix invalid stack address while in softirq
    - LP: #1087264
  * x86, microcode, AMD: Add support for family 16h processors
    - LP: #1087264
  * rtlwifi: rtl8192cu: Add new USB ID
    - LP: #1087264
  * mwifiex: report error to MMC core if we cannot suspend
    - LP: #1087264
  * SCSI: isci: copy fis 0x34 response into proper buffer
    - LP: #1087264
  * ALSA: ua101, usx2y: fix broken MIDI output
    - LP: #1087264
  * PARISC: fix virtual aliasing issue in get_shared_area()
    - LP: #1087264
  * PARISC: fix user-triggerable panic on parisc
    - LP: #1087264
  * mtd: slram: invalid checking of absolute end address
    - LP: #1087264
  * dm: fix deadlock with request based dm and queue request_fn recursion
    - LP: #1087264
  * futex: avoid wake_futex() for a PI futex_q
    - LP: #1087264
  * mac80211: deinitialize ibss-internals after emptiness check
    - LP: #1087264
  * radeon: add AGPMode 1 quirk for RV250
    - LP: #1087264
  * can: bcm: initialize ifindex for timeouts without previous frame
    reception
    - LP: #1087264
  * jbd: Fix lock ordering bug in journal_unmap_buffer()
    - LP: #1087264
  * sparc64: not any error from do_sigaltstack() should fail rt_sigreturn()
    - LP: #1087264
  * ALSA: hda - Add new codec ALC283 ALC290 support
    - LP: #1087264
  * ALSA: hda - Fix missing beep on ASUS X43U notebook
    - LP: #1087264
  * ALSA: hda - Add support for Realtek ALC292
    - LP: #1081466, #1087264
  * bas_gigaset: fix pre_reset handling
    - LP: #1087264
  * ixgbe: add support for X540-AT1
    - LP: #1087264
  * sata_svw: check DMA start bit before reset
    - LP: #1087264
  * ixgbe: add support for new 82599 device
    - LP: #1087264
  * ixgbe: add support for new 82599 device id
    - LP: #1087264
  * get_dvb_firmware: fix download site for tda10046 firmware
    - LP: #1087264
  * USB: mct_u232: fix broken close
    - LP: #1087264
  * watchdog: using u64 in get_sample_period()
    - LP: #1087264
  * Input: bcm5974 - set BUTTONPAD property
    - LP: #1087264
  * mmc: sdhci-s3c: fix the wrong number of max bus clocks
    - LP: #1087264
  * Linux 3.0.54
    - LP: #1087264
  * x86-32: Export ke...

Read more...

Changed in linux (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Val (vk1266) wrote :

On Mon, Jan 14, 2013 at 11:35:42PM, Adam Conrad wrote:
> The verification of this Stable Release Update has completed successfully

What??

You guys had a Samsung laptop to spare, and tested it, and your Ubuntu installation went just fine no problem at all? PLEASE can you share the details of how you did it?

John (spokeydokey) wrote :

I've been trying to install Ubuntu 12.04 64 bit on a Samsung Series 7 (700Z5C-S01US), dual boot with Windows 7 and bricked two laptops. On the first one, I accidentally installed the 32 bit version (which was working great), then decided to reinstall the 64 bit version. While in Windows, I shrank the largest partition to give myself about 600 GB of unallocated space to install Ubuntu. I also deleted the laptop's 8GB ExpressCache partition (iSSD on the motherboard) so I could create swap space in Ubuntu. (Again, the 32 bit version worked fine with this setup.) I downloaded the 64 bit iso file, and used Pendrive to create a bootable USB stick. I changed the boot order in the BIOS setup to start with the USB and had UEFI enabled.

I'm not sure what options I have. Return the laptop and get another brand? It doesn't seem like there is a solution to this yet.

On Tue, Jan 15, 2013 at 03:11:37AM -0000, Val wrote:
> lsmod in Grub command line produces a long list of modules loaded;
> linuxefi is one of them. There is no 'grep' or 'more' or 'less' in Grub
> command line and obviously I can't scroll up to see the full list. I
> wish there were some kind of a log file with error messages to examine.
> I did not see 'samsung-laptop' in the list of loaded modules, but I
> think it's reasonable to assume that it is not loaded because it's not
> there when the system completes booting in the Secure Boot mode.

This is the list of *grub* modules loaded. samsung-laptop is a *Linux*
module. The two are unrelated.

If the samsung-laptop module was loaded for you when booting via CSM, it
will also be loaded when booting via UEFI, and there's a very good chance
that it will brick your machine when this happens.

So I do not recommend installing Ubuntu on this system using anything
*except* CSM unless you are willing to help test our fix which /could be
wrong and could still result in a bricked machine/; in that case you can
find candidate images at:

  http://cdimage.ubuntu.com/precise/daily-live/current/

Denise c (elisav-elisa) wrote :

Hello,

I would like to install Ubuntu on my Samsung laptop 532u3c-a01, in dual boot with Windows (already installed in UEFI mode)
If I understand the problem, installing an Ubuntu version without the samsung-laptop file in UEFI version would be safe.
My question is : how can I remove the samsung-laptop file from Ubuntu ?

Maybe the whole thing isn't as easy as that. I've never installed Ubuntu before but I can understand simple instructions.
Thanks in advance for your help,
Denise

Val (vk1266) wrote :

Denise,

There is much more to this bug than removing a file. Unless you don't care about your Samsung laptop, do NOT attempt installing Ubuntu on it until a reliable fix is available. You definitely do not want to turn your first Ubuntu experience into a disaster. This bug is *extremely* serious. Your laptop can get bricked and if that happens, your only recourse would be returning your laptop to the manufacturer for repair or to the store for exchange if you have such option.

A few people are currently looking into this problem. I am preparing to attempt Ubuntu installation on my Samsung laptop, following Steve Langasek's instructions in post #78 while my laptop is still under warranty. You will hear from me or other people in this thread on whether the suggested method works or not.

Personally I am very surprised that people at Canonical have not yet posted a warning message in huge red letters on the Ubuntu download page letting Samsung laptop owners about this bug. This bug shocks conscience of even seasoned computer users. Few people can expect that software, let alone software from a reputable company like Canonical, can render their computer lifeless so easily and stealthily.

Val (vk1266) wrote :

And just to clarify my point, I am not suggesting that Canonical or the Ubuntu team are responsible for this bug. It is the introduction of the UEFI that brought this new world in existence where some software bug can destroy a motherboard and brick a computer. For the folks like me who have lived with BIOS for decades, this is truly shocking. We never would have thought such thing would be possible so easily. We have known that a bug (or a Windows virus) can destroy the contents of a hard drive; for this reason, we have learned to always backup our data. For decades, we have been experimenting with stuff and we have known all along that a loss of hard disk contents, a kernel panic or a blue screen of death are basically the worst thing that can happen to you. This is no longer the case. It is truly a new world we now live in.

I fully realize I am off-topic. Before I shut up on this issue, I need to say one final thing. Canonical: for the sake of all innocent people who are about to brick their computers, not realizing the dangers of UEFI, please post an announcement on the Ubuntu download page about this bug affecting Samsung laptop users!

Denise c (elisav-elisa) wrote :

Thank you Val for your reply and sharing your thoughts. I will do exactly as you suggests and wait for a better option to come up around here.

I totally agree on the fact that there should be an unmissable warning on the download page to make it clear that ubuntu and Samsung products can't exactly embrace each others these days.

shinn (alexshinn) wrote :

I too have been affected. Very similar to spokeydokey. I installed ubuntu 32 bit on my NP700Z5C-S01UB and it worked great. It was my first taste of unity (since my old P4 computer couldnt handle it so i never upgraded from 10.10). It ran well with all default BIOS settings. Then i realized it was 32 bit and wanted 64 bit instead. Inserted 64 bit cd. Some kernel error popped up. I did the disk check option and after 2 hours it didnt seem to be doing anything so I powered it off with the button and never saw anything on it again. I pulled the bios battery and disconnected the main laptop battery but they did not work. I sent the laptop back for replacement with the cd still in it since i couldnt get it to eject.
I would LOVE to dual boot windows 7 and ubuntu on this machine but im not taking any chances. I can handle hdd memory lost but completely bricking the computer? No thank you.

Val (vk1266) wrote :

I am a bit stuck... need some ideas. Steve?

Here is what I have done so far:
1. switched to the CMS mode, installed Ubuntu, rebooted
3. installed Colin King's patches, rebooted, removed all previous kernel images just in case, rebooted again and verified that indeed I have the correct patched kernel; added the EFI partition to /etc/fstab to mount at /boot/efi
4. rebooted, switched to the UEFI+CMS mode
5. now the machine boots Windows! Apparently, if there is working UEFI bootloader and a CMS bootloader, only the UEFI one gets picked up. Okay... the only way to boot Ubuntu at this time is to go back to the CMS mode
6. back in the CMS mode. Ubuntu loads fine. Now I attempt to install UEFI bootloader while in the CMS mode:
   sudo apt-get install grub-efi-amd64
This removes grub-pc and grub-gfxpayload-lists, but I guess that's okay for now... then
   sudo grub-install --efi-directory=/boot/efi --target=x86_64-efi --bootloader-id=Ubuntu

At this point, I get:
   Fatal: Couldn't open either sysfs or procfs directories for accessing EFI variables.
   Try 'modprobe efivars' as root.
   Installation finished. No error reported.

'modprobe efivars' has no effect. Some googling reveals that in order to get it to work, one needs to boot in the UEFI mode; this modprobe command will not work while in the BIOS/CMS mode. I am stuck... I can't load UEFI because it's not yet installed and I can't install UEFI from the CMS mode. Now what? Any ideas?

Launchpad Janitor (janitor) wrote :
Download full text (10.1 KiB)

This bug was fixed in the package linux - 3.2.0-36.57

---------------
linux (3.2.0-36.57) precise-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1097389

  [ Chris J Arges ]

  * Revert "SAUCE: fsnotify: dont put marks on temporary list when clearing
    marks by group"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: introduce locked versions of
    fsnotify_add_mark() and fsnotify_remove_mark()"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: pass group to fsnotify_destroy_mark()"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: use a mutex instead of a spinlock to protect a
    groups mark list"
    - LP: #1096137
  * Revert "SAUCE: fanotify: add an extra flag to mark_remove_from_mask
    that indicates wheather a mark should be destroyed"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: take groups mark_lock before mark lock"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: use reference counting for groups"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: introduce fsnotify_get_group()"
    - LP: #1096137

  [ Upstream Kernel Changes ]

  * fsnotify: introduce fsnotify_get_group()
    - LP: #1096137
  * fsnotify: use reference counting for groups
    - LP: #1096137
  * fsnotify: take groups mark_lock before mark lock
    - LP: #1096137
  * fanotify: add an extra flag to mark_remove_from_mask that indicates
    wheather a mark should be destroyed
    - LP: #1096137
  * fsnotify: use a mutex instead of a spinlock to protect a groups mark
    list
    - LP: #1096137
  * fsnotify: pass group to fsnotify_destroy_mark()
    - LP: #1096137
  * fsnotify: introduce locked versions of fsnotify_add_mark() and
    fsnotify_remove_mark()
    - LP: #1096137
  * fsnotify: dont put marks on temporary list when clearing marks by group
    - LP: #1096137
  * fsnotify: change locking order
    - LP: #1096137

linux (3.2.0-36.56) precise-proposed; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #1095351

  [ Chris J Arges ]

  * SAUCE: add eeprom_bad_csum_allow module parameter
    - LP: #1070182

  [ Colin Ian King ]

  * SAUCE: samsung-laptop: disable in UEFI mode
    - LP: #1040557

  [ Herton Ronaldo Krzesinski ]

  * SAUCE: usb: cdc-wdm: fix regression on buffer deallocation
    - LP: #1074157

  [ Kees Cook ]

  * SAUCE: exec: do not leave bprm->interp on stack
    - LP: #1068888
    - CVE-2012-4530

  [ Leann Ogasawara ]

  * Add ceph to virtual kernel flavor
    - LP: #1063784

  [ Lino Sanfilippo ]

  * SAUCE: fsnotify: introduce fsnotify_get_group()
    - LP: #922906
  * SAUCE: fsnotify: use reference counting for groups
    - LP: #922906
  * SAUCE: fsnotify: take groups mark_lock before mark lock
    - LP: #922906
  * SAUCE: fanotify: add an extra flag to mark_remove_from_mask that
    indicates wheather a mark should be destroyed
    - LP: #922906
  * SAUCE: fsnotify: use a mutex instead of a spinlock to protect a groups
    mark list
    - LP: #922906
  * SAUCE: fsnotify: pass group to fsnotify_destroy_mark()
    - LP: #922906
  * SAUCE: fsnotify: introduce locked versions of fsnotify_add_mark() and
    fsnotify_remove_mark()
    - LP: #922906
  * SAUCE: fsnotify: dont put marks on temporary list when ...

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (21.3 KiB)

This bug was fixed in the package linux - 3.5.0-22.34

---------------
linux (3.5.0-22.34) quantal-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1097343

  [ Chris J Arges ]

  * Revert "SAUCE: fsnotify: dont put marks on temporary list when clearing
    marks by group"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: introduce locked versions of
    fsnotify_add_mark() and fsnotify_remove_mark()"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: pass group to fsnotify_destroy_mark()"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: use a mutex instead of a spinlock to protect a
    groups mark list"
    - LP: #1096137
  * Revert "SAUCE: fanotify: add an extra flag to mark_remove_from_mask
    that indicates wheather a mark should be destroyed"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: take groups mark_lock before mark lock"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: use reference counting for groups"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: introduce fsnotify_get_group()"
    - LP: #1096137

  [ Upstream Kernel Changes ]

  * fsnotify: introduce fsnotify_get_group()
    - LP: #1096137
  * fsnotify: use reference counting for groups
    - LP: #1096137
  * fsnotify: take groups mark_lock before mark lock
    - LP: #1096137
  * fanotify: add an extra flag to mark_remove_from_mask that indicates
    wheather a mark should be destroyed
    - LP: #1096137
  * fsnotify: use a mutex instead of a spinlock to protect a groups mark
    list
    - LP: #1096137
  * fsnotify: pass group to fsnotify_destroy_mark()
    - LP: #1096137
  * fsnotify: introduce locked versions of fsnotify_add_mark() and
    fsnotify_remove_mark()
    - LP: #1096137
  * fsnotify: dont put marks on temporary list when clearing marks by group
    - LP: #1096137
  * fsnotify: change locking order
    - LP: #1096137

linux (3.5.0-22.33) quantal-proposed; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #1095349

  [ Chris J Arges ]

  * SAUCE: add eeprom_bad_csum_allow module parameter
    - LP: #1070182

  [ Colin Ian King ]

  * SAUCE: samsung-laptop: disable in UEFI mode
    - LP: #1040557

  [ Kees Cook ]

  * SAUCE: exec: do not leave bprm->interp on stack
    - LP: #1068888
    - CVE-2012-4530

  [ Leann Ogasawara ]

  * Add ceph to linux-image for virtual instances
    - LP: #1063784

  [ Lino Sanfilippo ]

  * SAUCE: fsnotify: introduce fsnotify_get_group()
    - LP: #922906
  * SAUCE: fsnotify: use reference counting for groups
    - LP: #922906
  * SAUCE: fsnotify: take groups mark_lock before mark lock
    - LP: #922906
  * SAUCE: fanotify: add an extra flag to mark_remove_from_mask that
    indicates wheather a mark should be destroyed
    - LP: #922906
  * SAUCE: fsnotify: use a mutex instead of a spinlock to protect a groups
    mark list
    - LP: #922906
  * SAUCE: fsnotify: pass group to fsnotify_destroy_mark()
    - LP: #922906
  * SAUCE: fsnotify: introduce locked versions of fsnotify_add_mark() and
    fsnotify_remove_mark()
    - LP: #922906
  * SAUCE: fsnotify: dont put marks on temporary list when clearing marks
    by group
    - LP: #922906

  [ Tomas Hozza ]

  * SAUCE: tools: hv: Netlink source a...

Changed in linux (Ubuntu Quantal):
status: Fix Committed → Fix Released
Steve Langasek (vorlon) wrote :

On Thu, Jan 17, 2013 at 08:02:18PM -0000, Val wrote:

> 'modprobe efivars' has no effect. Some googling reveals that in order to
> get it to work, one needs to boot in the UEFI mode; this modprobe
> command will not work while in the BIOS/CMS mode. I am stuck... I can't
> load UEFI because it's not yet installed and I can't install UEFI from
> the CMS mode. Now what? Any ideas?

Right. The only part of the grub install that needs to happen under UEFI
mode is modifying the EFI variables with efibootmgr to configure the boot
menu. Your Ubuntu install is already bootable under UEFI at this point, but
you would need some way to select it for boot. Some UEFI firmware
implementations have an option to browse to a particular file for booting.
Alternatively, you can boot to the GRUB menu from external media, then
reconfigure the grub boot option to point at the installed system instead
(then run grub-install again to trigger the efibootmgr handling, or just
call efibootmgr directly).

Steve Langasek (vorlon) on 2013-01-19
Changed in ubuntu-cdimage:
status: Confirmed → Invalid
Val (vk1266) wrote :
Download full text (7.8 KiB)

I am delighted to report that Ubuntu 12.10 64-bit is now running on my Samsung NP700Z5C, dual booting in UEFI mode from Grub2 to either Ubuntu or pre-installed Windows 8.

My installation process is described below. However, the nature of this bug is such that you should consider very carefully if you still want to attempt installation of 64-bit Ubuntu on your Samsung laptop. If something does not work for you the way it should, your motherboard may be permanently damaged and your laptop may get bricked. For this reason, this bug should have been flagged "nuclear" rather than "critical".

The process below is long and much more arduous than it should be. It applies only to the installation of 12.10 64-bit. To install 12.04, get one of the latest daily builds from http://cdimage.ubuntu.com/precise/daily-live/current/ (dated January 18th, 2013 or later) and install from it in a usual way. To the best of my knowledge, daily builds for 12.10 Live CD are not available. I hope Steve or someone else could clarify this.

My system is: Samsung Chronos NP700Z5C, BIOS version P04ABJ, MICOM version P04ABJ, Windows 8 pre-installed on a GPT-partitioned disk. There is also a 16 Gb ExpressCache disk but I have not touched it yet.

1. While in Windows 8, make space for Ubuntu by shrinking Windows partition. It's probably a good idea at this point to leave all other partitions intact. You must not delete the EFI partition - the one flagged 'boot' - this thing alone may be enough to brick your laptop!

2. Make sure that:
   - Fast BIOS Mode is disabled
   - AHCI Mode is enabled
   - "Secure Boot" is disabled
   - VERY IMPORTANT: "OS Mode Selection" is set to "CSM OS"; any other setting will likely brick your laptop
   - Save your BIOS settings

3. Boot Ubuntu 12.10 64-bit Live CD and select "Try Ubuntu without installing". You may be able to install from a USB drive. I have not tried that route. Create swap and root partitions for Ubuntu. Take note of the number of your Ubuntu partition, you will need it at the final stage of installation. In my case, it was partition 8 (gpt8). Create a 10 Mb BIOS Boot Partition: in GParted, create an unformatted partition and set bios_grub flag on it. If you want to preserve your original MBR, create a backup copy of it at some non-volatile location:
   dd if=/dev/sda of=/mnt/mbr_original bs=440 count=1
Replace sda and location of mbr_original as necessary.

4. Install Ubuntu. Once you get to "Installation type", do not install Ubuntu alongside Windows; choose the "Something else" option instead. Use the Ubuntu root partition you created as the root mount point. If the installer offers you to resize a Windows partition, decline. You don't want to mess around with Windows partitions at this point; you can always do it later. The bootloader must be installed in /dev/sda (or whichever is the boot disk in your case), NOT in /dev/sda1 or other partition.

5. Reboot. Do NOT change any BIOS settings yet! Once you have Ubuntu booted from your hard disk, take note of the kernel version: "uname -a". Download and install Colin King's patches: http://kernel.ubuntu.com/~cking/samsung-1040557. Reboot and take note of the kernel version. It ...

Read more...

Val (vk1266) wrote :

Steve, I have a question for you. There is a package out there named 'samsung-laptop' that is maintained by Fortunato Ventre, https://launchpad.net/~voria/+archive/ppa. Do you know if the kernel module with the same name, the one that triggers this bug, is somehow related to the 'samsung-laptop' package or even part of it? Should we the Samsung NP700 series owners stay away from this package?

Žygimantas Beručka (zygis) wrote :

Val, Voria's 'samsung-laptop' package builds a slightly modified kernel driver to make some features of certain machines work on pre-Quantal systems. For that reason, it used to override the 'samsung-laptop' driver that came with your version of the kernel. However, you can see that it's not relevant on Quantal anymore, since the changes have got into upstream kernel code and that's why it is not even available for Quantal.

To cut the long story short, my answer would be negative: certainly, Voria's package solves an issue or two for some but is completely unrelated to this issue. It's clear from the comments above that people are getting their machines bricked on 12.10 just fine.

Val (vk1266) wrote :

Okay, thank you Žygimantas, I see that it's not Voria's 'samsung-laptop' module that bricks laptops but its Quantal derivative. The practical issue for us owners of Samsung Chronos 7 series laptops is whether other packages are safe or not for us in https://launchpad.net/~voria/+archive/ppa. After what we have seen here, it's scary to even try other packages that may use the same or similar code as in 'samsung-laptop' without first checking if someone has any relevant information, or someone has tried and confirmed that it works.

I just got a Samsung series 7 chronos 700Z5C-S02 with the intent of installing XUbuntu 12.04 on it dual boot with Windows 8 (still can't completely dump Windows as I need to be able to work with MS Access regularly). Luckilly I ran into this series of posts before succeeding in starting to attempt install. Having read through the chain I do still have some questions and suggestions:

1) This seems to be a BIOS bug in a small number of Samsung notebooks. Has it been brought to the attention of Samsung with a clear message that they should bring out an updated corrected BIOS immediately? This bug sits at the level of the batteries in the Boeing Dreamliner, and from a simple European perspective could be seen to limit the free choice of consumers for an operating system (anti-competitive).

2) In Val's post 116 I read " To install 12.04, get one of the latest daily builds from http://cdimage.ubuntu.com/precise/daily-live/current/ (dated January 18th, 2013 or later) and install from it in a usual way. ". Does this mean that I can download a latest daily build and install it without having to turn UEFI, secureboot or fastboot options off without risking trashing the BIOS, can just burn this latest build to a DVD or install it on a USB stick, reboot from that and install??

3) With such long chains of posts it becomes quite difficult to figure out what the critical posts are. It might be a suggestion to have a "sticky post" at the top or bottom which summarizes the current status of such a critical bug, and provides a simple cookbook for the workarounds for such dummies like me, along the lines of "For (L/K/X)Ubuntu 12.04 follow the following steps: a)..., b)..., c) .... In addition make sure you do NOT upgrade to 12.10 until such time that this warning has been amended. For (L/K/X)Ubuntu 12.10, noting that this is not recommended for general use, follow the steps in post 116.@" ?

Val (vk1266) wrote :

Arthur -- yes, to the best of my knowledge it should be safe to install Ubuntu 12.04 from a latest daily build on your Samsung laptop. These latest builds incorporate the same fix that worked for me.

However, if you want to be completely certain before attempting this potentially risky process, you may want to confirm this with Steve or someone else from Canonical. I am not an employee of Canonical. I do not have the kind of knowledge they do.

To install 12.04, you should set "Secure Mode" to "Off" and "OS Mode Selection" to "UEFI OS". If you want to install from a USB drive, you definitely need to have FastBoot option set to "Off". If you want to install from a CD/DVD, the FastBoot setting is probably irrelevant, but I would still switch it off at least for the installation process. If you have something connected to one of your USB ports during installation, FastBoot must definitely be set to "Off".

There is an ongoing attempt to enable "Secure Boot" for booting both Windows 8 and Ubuntu: http://falstaff.agner.ch/2012/12/18/ubuntu-12-10-and-windows-8-with-secure-boot-mode/ I have not tried it because I don't really need Secure Boot, but if Secure Boot is important to you this page may be your starting point. Good luck!

Denise c (elisav-elisa) wrote :

Dear Arthur & Val,

I safely installed yesterday's 12.04 Daily Build on my Samsung 532u3C, using the BIOS settings Val mentionned above.
I can't tell for sure that my laptop would have been affected by the bug - but it is very probable that it would.

Good luck - & thks to Val!

José Eduardo Kroll (jkpenga) wrote :

Just for people knowledge, I bricked a np700z5c twice trying to install Ubuntu 12.10.
I didn't know about the UEFI problem, and I thought it was a hardware problem.
After the notebook was recovered by the assistance for the second time, I noticed that the UEFI was disabled, and then I installed ubuntu without major problems (dualboot with win7).

Today, however, I tried to install Slackware but I had problems during the boot (the system resets automaticaly during the boot, without any warning message - it looks like a semi-brick). It seems that there was a conflict between the win7 installation (GPT partition??) and Slackware (LILO on the MBR). I was able to boot the system only with a bootable USB pendrive (Fedora Live didn't work! Ubuntu worked!). Finally, the problem was solved by removing all win7 related partitions.

If you don't want trouble, disable UEFI and get away of windows (specially the new versions).

Steve Langasek (vorlon) wrote :

On Sun, Jan 20, 2013 at 06:37:45AM -0000, Arthur P. Meiners wrote:
> 1) This seems to be a BIOS bug in a small number of Samsung notebooks.
> Has it been brought to the attention of Samsung with a clear message
> that they should bring out an updated corrected BIOS immediately?

We have been in communication with Samsung BIOS engineers about this issue,
but have no ETA for a BIOS update at this time.

> 2) In Val's post 116 I read " To install 12.04, get one of the latest
> daily builds from http://cdimage.ubuntu.com/precise/daily-live/current/
> (dated January 18th, 2013 or later) and install from it in a usual way.
> ". Does this mean that I can download a latest daily build and install
> it without having to turn UEFI, secureboot or fastboot options off
> without risking trashing the BIOS, can just burn this latest build to a
> DVD or install it on a USB stick, reboot from that and install??

We can't say with certainty that there is no risk of trashing the firmware -
however, we have confirmed that the samsung-laptop module in the latest
12.04 daily images (as well as in the latest raring daily images) has been
rendered inert when booting under UEFI instead of under CSM, so there should
not be any bricked machines as a result of issues in *that* code. It is
*likely* that this was the root issue causing problems for all users but
once again, it's impossible to say with absolute certainty because we aren't
in possession of the machines in question.

Val (vk1266) wrote :

Steve, could you clarify the relationship between the samsung-laptop module that was the likely cause of bricks under UEFI, and the samsung-laptop package in https://launchpad.net/~voria/+archive/ppa ? Should we make Fortunato Ventre, the maintainer of the package, aware of this bug?

Steve Langasek (vorlon) wrote :

I don't know anything about this ppa. Feel free to let its owner know about this issue.

Hi, a few days ago I bought a Samsnug 7 Series (NP700Z5C-s03) and before installing Ubuntu I searched on internet and i found this bug.

I would ask if this is a bug in Ubuntu or Linux (if I install other distributions I have no problems?) And if the current solution is simply disable the fastboot which in turn disables the UEFI?

Moreover, for the voice of the Bios "OS Selection" are fine all? The important thing is to disable fastboot?

Finally, I want me ask you if only some models have this bug or all handsets with NP700Z5C advisable (regardless of the last three digits of the model S01-S02-S03)?

I apologize for my English but I used Google Translate (I'm Italian).
Thanks in advance

Val (vk1266) wrote :

Daniele -- other Linux distributions may or may not have this problem. Also, they may have other problems that are not present in Ubuntu. It is all a matter of trial and error and publicizing the results. However, what we do know at this point is that the removal of samsung-laptop kernel module in UEFI mode (Colin King's patch) likely fixes the bug. If you are intent to try other Linux distributions, I suggest that you disable FastBios and set "OS Mode Selection" to CSM OS, boot from the installation disk and execute "lsmod | grep -i samsung". If you see samsung_laptop in the output, do NOT try booting Linux in UEFI mode.

If you want to try installing Ubuntu, get a latest daily build from http://cdimage.ubuntu.com/precise/daily-live/current/. Installing from the latest builds in UEFI mode should be safe. See Denise's comments in post #120.

Thank you very much Val! I think this weekend I will try some distributions such as Ubuntu and Archlinux! After the test I will post here hoping that my experience can be of help.

For the moment, thank you all for your support and for having avoided the brick my Notebook (if I had not read these posts I would have definitely done the normal way) :)

Fabri Velas (fabrivelas) wrote :

Thanks Colin, Steve, Val and Denise,

I just installed ubuntu 1204 using the precise daily images proposed by Steve (#88) with the patched kernel (3.5.0-22) from Colin (#74) on a samsung 530u3c-a0ede in the normal way as described by Denise (#120) using the uefi setting at boot suggested by Val (#119) in a dual boot environment with win8.

1. First I put the precise daily image precise-desktop-amd64.iso from http://cdimage.ubuntu.com/precise/daily-live/current/ on a usb flash drive using Start-up disk creator on a machine running ubuntu 1210 and checking that it booted (on a different computer) and that the linux image had Colin's patches (looking at the changelog from within synaptic).
2. On the smasung laptop I upgraded the bios to version p05abh, set fast bios mode under the advanced tab to disabled and also secure boot under the boot tab. Disabling secure boot revealed an option for os mode selection which I set to 'uefi os' (not 'uefi os and cmos'). Under the boot tab I also moved the usb hdd boot option to the top.
3. I booted from the usb flash drive and chose install ubuntu using the default settings for installation with win8, letting ubuntu choose the partitions. I did not touch any buttons on the computer, and left the flash drive in the machine.
4. Still with the flash drive present I rebooted into ubuntu, all worked, including the sound and brightness function buttons. Only now I unmounted the flash drive and removed it. I installed synaptic to check the linux image in the changelog for Colin's changes.
5. Reboot into win8 did not work (see also Val #114). I got this:
'error: can't find command `drivemap`.
error: invalid EFI file path.

Press any key to continue...'
This error has been reported here
https://bugs.launchpad.net/ubuntu/+source/grub2/+bug/1024383
and a fix is given in post #18 there (suggested here by Val #114).
6. Now both booting win8 and booting work.

I got this computer yesterday, following this bug since last week, I was really afraid to destroy it, but Colin's and Steve's reassurances (sort of) and the trials of Val and Denise made me risk it. Thanks to you a lot. I guess this has been verified on 3 samsung laptops now: 530u3c, 532u3c, 700z5c.
Incidentally, the device name ubuntu chose during the installation was 530u3c-530u4c-532u3c. This might suggest that it might work for 540u4c also.

!!!!!CAUTION!!!!!
A real validation can only be done on a laptop that was bricked before, even though circumstantial evidence suggests that 'samsung-laptop' might be the culprit (see also https://bugzilla.kernel.org/show_bug.cgi?id=47121#c20).

Žygimantas Beručka (zygis) wrote :

I'm curious what is the point installing 12.04 over 12.10 and still using (a modified) kernel from 12.10?

Correct me if I'm wrong, but if one is afraid of installing 12.10 solely because of 'samsung-laptop' module being loaded, one can just easily blacklist the module _before_ booting from the installation media.

What one needs is just adding 'samsung-laptop.blacklist=yes' to the kernel boot line.

Žygimantas Beručka (zygis) wrote :

It seems that this patch is a step in the right direction, although more patches are needed: http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=commit;h=83e68189745ad931c2afd45d8ee3303929233e7f

Don (d6tr6tr) wrote :

Does anyone know if this also occurs with the 3.5 kernel or just 3.6 and 3.7?

Jos Poortvliet (from openSUSE) has an article about his install of opensuse with samsung-laptop and UEFI: http://blog.jospoortvliet.com/2012/09/linux-and-samsung-series-9-np900x3c.html

 He has zero issues with booting but he's on the 3.5 kernel. So it made me wonder if the issue isn't just samsung-laptop but maybe something between that and a change to the kernel?

I also have an Samsung Series 5 530U3C bricked... so the only way is to send it to samsung for a warranty change of motherboard?

Don (d6tr6tr) wrote :

Emanuel Montero: someone suggested you:

1. Unplug it

2. open the back of the laptop

3. disconnect the CMOS battery

Can you try that and report back here if that fixes it?

Val (vk1266) wrote :

Emanuel: there seems to be a way to recover at least some Phoenix BIOSes with Crisis Recovery Disk Tool:
http://www.bios-mods.com/bios-recovery/phoenix-bios-recovery/

I have not tried this tool and I cannot say whether this will help you or not. But, with a computer already bricked, it probably won't make things worse.

Fabri Velas (fabrivelas) wrote :

Yesterday, samsung released a bios upgrade ( version p06abh) for the samsung u3c. Unfortunately I could not find a changelog with more information. I hope, though, that samsung is still working on this issue. Does anyone know?

Don (d6tr6tr) wrote :

Could this be the issue? **(he has a solution as well!)**

http://www.jakobheinemann.de/en/blog.html

[QUOTE]
...All necessary functions for reading and writing or creating are implemented within UEFI in its so called Runtime Services. One of those important functions is GetNextVariableName(). It's used for scanning through all UEFI variables, searching for boot entries. An explanation of that function can be found on http://wiki.phoenix.com/wiki/index.php/EFI_RUNTIME_SERVICES#GetNextVariableName.28.29

The implementation in Samsungs UEFI shows some weird behavior. Error code EFI_INVALID_PARAMETER should only be returned, if one of the given pointers to variables is NULL and pointing to an invalid memory section. Samsungs implementation also throughs this error, if the given memory blocksize is not exactly 128 bytes, so for example (like the Linux-efivars module does) 1024 bytes. The Linux module does not expect the strange error code (it checks for NULL pointers itself) and does not report any UEFI variables, no boot entries, no nothing. The installer accepts that and installs the Linux boot entry into the first slot, where actually the boot entry for the setup is located - overwriting that entry! Setup is dead since Linux took its boot entry.
[/QUOTE]

@Don, already done that, same situation.
@Val, i don't have usb floppy drive to change the BIOS.

How could i upgrade the bios when the laptop doesn't even start?

Hexbase (aguado-leonardo) wrote :

Fabri Velas, I downloaded yesterday (3/4/2013) version p10aaj

menshen (pepitogrillo023) wrote :

#133 I had the same problem, model NP700Z3C-S03ES, bios number XX01. I tried to launch Acronis True Image boot CD to backup my HD. After reboot, my laptop was bricked.

So I followed Don's advices:

1. Unplug it

2. open the back of the laptop

3. disconnect the CMOS battery

and I added another step:

4. disconnect battery (by pressing battery button)

After 2 min, I tried to boot and... voilà!! It boots again!!!

Que respiro.... :D

menshen (pepitogrillo023) wrote :

A question, what is the current solution for this bug? I updated bios firmware to XX04 (last update).

SecureBoot is disabled (CMOS enable), but fastboot was enable.

Should I disable Fastboot too??

Thanks in advanced!

Steve Langasek (vorlon) wrote :

> I hope, though, that samsung is still working on this issue. Does anyone know?

Samsung is actively investigating the issue with their firmware, and good progress is being made on understanding the issue. We don't have any ETA on a firmware update. In the meantime, users are advised to install using Ubuntu images that have the fixed samsung-laptop module if they are installing on a UEFI-enabled Samsung machine - either the daily build of 12.04, or the daily build of 13.04, or the 12.04.2 final media when it becomes available this month.

Gui Borges (gui-borgescgn) wrote :

i also have a samsung series 9 900x4d bricked and amazon just sent me a new one.
is it really safe to install in "CSM OS" mode?
i just dont want to brick the new one again.

Fabri Velas (fabrivelas) wrote :

@Steve Langasek: is the samsung-laptop module fixed or did you mean that the kernels are not using it as of Colin's fix?
@Gui Borges: reading the previous posts it seems that it is safe to install in cs mos mode, since the samsung-laptop module does not interfere, but you cannot then use uefi mode anymore to boot a uefi windows in dual boot. There it might be better to use a ubuntu (or other linux) distribution with a kernel that does not use the samsung-laptop module as Steve suggests in post #141, i.e. a daily build.
@Žygimantas Beručka: one of the reasons for installing 1204 is that it is the lts. The new kernel happens to be the one that works.
@Hexbase: if you indicate the bios version you should also indicate the computer model since the bios versions might be different.

Joaquin (emer-sito) wrote :

@menshen and @Gui Borges, you do not try to install ubuntu, your computer may become unusable and believe me that's very sad!!

Steve Langasek (vorlon) wrote :

On Wed, Feb 06, 2013 at 09:23:55PM -0000, Fabri Velas wrote:

> @Steve Langasek: is the samsung-laptop module fixed or did you mean that
> the kernels are not using it as of Colin's fix?

It is "fixed" in that it no longer triggers this problem. That doesn't mean
the samsung-laptop module will be functional when booted under UEFI, but
that's a secondary issue.

Jordan (jordanu) wrote :

There is still possibility of bricking even with the latest changes, and apparently possibly even when running only Windows. See: http://mjg59.dreamwidth.org/22736.html

"We're still trying to figure out the full details, but until then you're safest ensuring that you're using BIOS mode on Samsung laptops no matter which operating system you're running."

Jean-Louis (jean-louis) wrote :

See also: "<a href='http://mjg59.dreamwidth.org/22855.html'>Samsung laptop bug is not Linux specific</a>"

Jean-Louis (jean-louis) wrote :

Sorry for repost, I can't edit last post

See also: "Samsung laptop bug is not Linux specific" http://mjg59.dreamwidth.org/22855.html

Thanks for that post Jean-Louis. That is good information I think. I had already sent a link to this thread to Samsung customer support in the Netherlands to alert them to this and request a quick fix from them but have not seen anything back yet except receipt confirmation. I have now also forwarded the link you posted to them again stressing the need to fix this BIOS asap. Maybe others can also alert Samsung support in their countries. They have known about this problem for quite a while now and really should expedite a fix if they want to continue to sell well, particularly as they otherwise do support Linux and Android quite strongly.

Mehdi Sadeghi (azadnevis) wrote :

Same problem here. Samsung chronos 700Z3C-S03DE i5-3210M sr W7HP

Good news I think. Today I understood from Samsung here in the Netherlands, who went out of their way to follow up on my request for information / action on this issue, that together with their partners on the bios hardware drivers they are hard at work at addressing this. They hope to have a BIOS update out shortly (within several weeks).

Andreas (raffix) wrote :

I'm really shocked after reading this bug report!!
Same problem here. I haven't a Samsung notebook but a Lenovo Twist and used Ubuntu 12.04.2 and 12.10 in UEFI-Mode.
After a kernel panic I had to power off the notebook by holding down the power button more than 5s.
After that laptop hangs up in black screen. Nothing happens. You can't get into BIOS, no sound, nothing.

@menshen (pepitogrillo023)
I opened the notebook and unplugged the normal battery and the little backup battery.
After that I waited five minutes and re-assembled the notebook, but there ist still a black screen. So clearing the CMOS with the backup battery won't help.

It's very important that Ubuntu and other distributions give a VERY BIG WARNING to every user that uses the LiveCDs with UEFI. (This error report is nearly half a year old and no warning on the front page of ubuntu.com, I'M SHOCKED.
MY NOTEBOOK WOULD STILL WORK IF THERE WOULD HAVE BEEN ANY WARNING!)
As you can see here the problem doesn't exist only on a few Samsung notebooks, but also on new Lenovo notebooks.
By the way, my notebook was exactly one day old and now it's scrap. I destroyed lots of money.
You can believe me, I'm not really happy to read about this AFTER Ubuntu destroyed my new notebook, the warning should be placed on the front page of ubuntu.com and not in a bug report somewhere on launchpad.

Steve Langasek (vorlon) wrote :

On Fri, Feb 22, 2013 at 03:58:49PM -0000, Andreas wrote:

> Same problem here. I haven't a Samsung notebook but a Lenovo Twist and
> used Ubuntu 12.04.2 and 12.10 in UEFI-Mode.

Then that's not the same problem. This bug report is about a bug in the
Samsung firmware that's triggered by the Linux kernel; there is no reason to
think this is related to a problem on any Lenovo hardware.

> As you can see here the problem doesn't exist only on a few Samsung
> notebooks, but also on new Lenovo notebooks.

That you have a Lenovo notebook that is not booting is no evidence that this
bug affects any hardware other than Samsung. Lenovo and Samsung don't use
the same firmware. If your hardware doesn't boot after a kernel panic, that
is a bug in either the hardware or the firmware, but there's no reason to
assume that it's the same bug or even a related bug.

> By the way, my notebook was exactly one day old and now it's scrap. I
> destroyed lots of money.

I would hope that such an issue would be covered under warranty.

> You can believe me, I'm not really happy to read about this AFTER Ubuntu
> destroyed my new notebook, the warning should be placed on the front page
> of ubuntu.com and not in a bug report somewhere on launchpad.

I'm sorry that you had this experience, but there is no reason why we would
have placed a warning on our website about possible damage to Lenovo laptops
when the only known bug here is one with Samsung firmware.

The Samsung issue, for its part, is documented in the release notes at
<https://wiki.ubuntu.com/PrecisePangolin/ReleaseNotes/UbuntuDesktop>.

Andreas (raffix) wrote :

@Steve Langasek
I have no interest in arguing with you, but I can assure you that my problem with the Lenovo Twist is EXACTLY the same problem described in this bug report. Maybe Lenovo and Samsung have different firmwares, but maybe they have made the same mistake in programming their firmware. Many people around the world do the same errors even in the same time. I can give you just the information. You can deal with it or you can ignore it.
As for me: I will deactivate UEFI until Ubuntu has fixed this problem.

Jordan (jordanu) wrote :

@Andreas

Please note that if you are experiencing the same bug as with Samsung firmware it is not safe to run Windows in UEFI mode either until the firmware has been fixed. Matthew Garrett has demonstrated that the bricking can be triggered on a purely Windows system, from userspace, without linux ever being used. Thus he recommends not booting any OS via UEFI on affected systems : http://mjg59.dreamwidth.org/22855.html

I don't know the full details, but believe the bug was triggered by part of the BIOS which came from an OEM for part of the hardware in these computers. If that is the case, it could be the same bug. What makes this bug so critical to fix is indeed that it is not Ubuntu which is the cause, that it can be triggered from user space. Probably these BIOS have a recognizable "fingerprint", and therefor this vulnerability could be exploited with just a few lines of code to specifically target whole series of computers. So best to certainly raise awareness with Lenovo and make sure they figure out whether it is indeed the same issue, or a similar issue, and get it fixed.

Jordan (jordanu) wrote :

On Mon, Feb 25, 2013 at 6:16 AM, Ivo Roghair <email address hidden> wrote:
> I found out about this bugreport _after_ installing Ubuntu 12.10 64-bit
> on my Samsung Ultrabook Series 5 530U3C-A09NL.
>
> I installed Ubuntu via usb (created via unetbootin on another 12.10
> machine), with secureboot off but UEFI on (exclusively UEFI).
> Immediately after installation, I transferred an apt-clone file from my
> old machine to my Samsung and installed all {packages,sources,debs}. I
> also updated apt further, and it told me to autoremove packages like
> grub-efi-amd64-bin, efibootmgr and so on. I am now on kernel 3.5.0-25,
> and it seems OK.
>
> There's also Windows 8 in the grub boot menu, but after reading these
> reports I am a bit reluctant to boot it. Ubuntu boots fine, though.
> There's no sign of any samsung-laptop module in /etc/modprobe.d, nor in
> lsmod. I tried to change UEFI to CMS in bios, but that leaves me
> basically without any bootable OS. My question is, why is my machine not
> bricked? It is bound to happen after some powercycles, should I
> reinstall everything to be sure or is this issue fixed?

Your machine has not been bricked because you haven't had a kernel
OOPS which, when booted via UEFI, saves logs via UEFI variables. You
also haven't had too many (or too large) UEFI variables created by any
number of other possible processes in GNU/Linux and Windows when
booted via UEFI. You don't need to re-install Ubuntu to enable booting
via BIOS, you just need to install the grub-pc package, "sudo apt-get
install grub-pc" (and correctly select the disk, not any partition, as
an install device when prompted). I don't know the process for
Windows.

hanishkvc (hanishkvc) wrote :

Hi Steve/Colin/CluedInPeople,

I have a query related to the FIx. Shouldn't the right fix for this bug if one wants to use secure boot and uefi to boot their system be the noefi boot param related fix added to linux kernels around 15th Feb i.e

commit 1de63d60cd5b0d33a812efa455d5933bf1564a51 upstream.

Because if I understand correctly the issue is less to do with the samsung laptop module per se and more to do with the buggy Samsung EFI logic which craps it self out if one writes to the efi storage space sometimes (or is it always - not 100% sure currently). And in turn if linux kernel crashes or catches a mce for some reason or the other (like previously triggered by the samsung laptop module) and is in efi mode, then because it writes the crash log to efi storage space, this serious bug in samsung efi code gets triggered and potentially take the full laptop down with it.

And if I get things correctly then passing noefi to linux kernel as a boot param will disable the use of efi runtime services by the kernel and its modules. And that is the 100% sure way of ensuring that under linux one cann't trigger this bug in the normal sense (Still is it 100% safe from a security perspective I am not sure if Samsung efi logic doesn't have any loop holes which allows one to call efi services even if one has already relinquished it - I am talking logically here, because I haven't looked into efi in detail so am making some/many assumptions).

So if one wants to dual boot a system with win8 already installed in Secure boot UEFI mode and Linux THEN one should use a distro of linux which is using linux kernels later than Feb 15 with the above mentioned noefi bug fix included and in turn one should boot such a linux distro with noefi boot param to ensure that the Samsung laptops with this efi bug cann't be triggered from Linux during that boot.

Is my above understanding correct and in turn does the new LTS live image use this new kernel, if not shouldn't this be the right solution to this EFI bug in Samsung if one doesn't want to disable secureboot/uefi.

NOTE: I am not sure the linux kernel handles the transition from efi to no efi runtime mode gracefully if noefi is passed as a argument and the system is already in uefi boot mode. But I am assuming for now that the kernel handles this situation properly as well as that it is required to handle this in a specific manner, which it does. This is my assumption currently because I haven't looked into EFI specs at any level currently.

hanishkvc (hanishkvc) wrote :

Hi All,

Just to be sure, the relavent bug fix I am talking about is this

commit 266c43c175a51002b04c18a453a39708d1775ced
Author: Satoru Takeuchi <email address hidden>
Date: Thu Feb 14 09:12:52 2013 +0900

    efi: Clear EFI_RUNTIME_SERVICES rather than EFI_BOOT by "noefi" boot parameter

Steve Langasek (vorlon) wrote :

On Tue, Feb 26, 2013 at 05:51:40PM -0000, hanishkvc wrote:
> I have a query related to the FIx. Shouldn't the right fix for this bug
> if one wants to use secure boot and uefi to boot their system be the
> noefi boot param related fix added to linux kernels around 15th Feb i.e

Using a 'noefi' boot param is, in various senses, the exact opposite of what
we want for the samsung-laptop module. The samsung-laptop module needs to
know that it's running under uefi and not attempt to poke the firmware in
various spots - because doing so appears to result in a machine check
exception. Booting with 'noefi' should ensure the Linux kernel never
triggers the bricking bug in the samsung firmware, but it would also not
result in correct behavior.

> And if I get things correctly then passing noefi to linux kernel as a
> boot param will disable the use of efi runtime services by the kernel
> and its modules. And that is the 100% sure way of ensuring that under
> linux one cann't trigger this bug in the normal sense

Technically, I believe that this only prevents the *kernel* from using efi
runtime services but does not prevent user space from writing to the EFI
variable space as root. I could be wrong, though.

hanishkvc (hanishkvc) wrote :

Hi Steve,

NOTE: After some initial glance across the different things involved here.

If I am not wrong after reading the noefi related bugfix changelog as well as looking at

a) samsung-laptop.c (The original patch for efi bug - return failure on EFI_BOOT being set)
b) efi.c (The changes done on Feb14 - clear EFI_RUNTIME_SERVICES instead of EFI_BOOT if noefi param is passed)

What I understand is that the noefi bugfix of Feb14 was to ensure that samsung-laptop module behaves properly even if noefi parameter was passed. Rather there was a bug in the way noefi parameter was being handled as it was wrongly clearing EFI_BOOT instead of EFI_RUNTIME_SERVICES, and this inturn would have messed with the samsung-laptop module workaround. So by fixing this bug on Feb14, noefi boot parameter no longer conflicts with samsung-laptop module.

So with the latest kernels after Feb14 which include this noefi bugfix, passing noefi boot param should ensure that

a) the samsung-laptop module doesn't poke into legacy smc memory space and create unwanted problems, as well as
b) the kernel doesn't use the efi runtime service and the buggy setvariable call in turn in samsung firmware, what ever the case (including kernel crash).

However if I get the uefi spec on initial glance, the runtime service persists even after calling exitbootservice function (rather more a wrong assumption on my side earlier, as I hadn't looked at uefi spec before - also the setup.c in kernel tells that even bootservices are potentially called even after calling exitbootservices, which technically shouldn't be the case from the uefi spec - no idea why they have put that comment in there, however I do see the need potentially with setvirtualaddress map etc wrt efi and so ... unless I am missing something here).

So as you right fully doubted, if I read the efi related code correctly then calling noefi WILL NOT ensure that a root user cann't get access to runtime service in future, because it doesn't actively try to disable efi tables etc, rather it just doesn't set them up in the new/current linux environment. So a root user could load a kernel module to replicate the functionality of efi.c virtual mapping so that he can set things up as required. Unless something else goes and overwrites the original efi systab/??? (Rather if it is possible to do that - I don't see why not unless uefi runs in a special previlaged mode or so (which I don't think it does, but haven't gone deep sufficiently yet to say one way or the other), then may be we should write a logic to go and overwrite it with nulls or some such thing so that even a root user cann't go and recover the efi runtime in future in the current boot of the system, through a special special boot parameter let us say fullsystem_noefi).

NOTE: And parallely samsung should look at fixing the multiple bugs in their firmware. Do you have any input on when they may fix this issue.

hanishkvc (hanishkvc) wrote :

Hi Steve/CluedInDevs,

NOTE: I haven't really looked at ACPI and UEFI till date. Only today I have done some initial glance thro UEFI and done some code browsing. So may be I am off by 100 miles, correct me if that is the case.

One thing which I haven't fully cross checked/figured yet is how EFI variable storage is linked to crash dumps. Because I don't see a direct usage of efi variable storage in the kernel code wrt crash dumping.

However there is the ACPI ERST based pstore mechanism. Is it that the ACPI ERST inturn uses EFI variable storage in a UEFI system. Logically it seems very much possible and a proper solution wrt the firmware perspective. However in that case I am not 100% sure that passing noefi will ensure that ACPI erst mechanism wont trigger efi variable storage or other runtime services. Is it that because by passing noefi we are stopping the setting up of proper virtual address mapping for the efi systable related entries, so even if ACPI erst mechanism were to trigger variable storage write, it won't succeed ????? i.e is it that we will be depending on a indirect luck to stop the variable storage write triggering during kernel crash ?

If it is a indirect luck based chance that we are stopping variable storage write during kernel crash dump when noefi is used, then rather we may have to ideally have additional logic added to stop registering of acpi erst pstore when noefi is passed (or when a new boot param like fullsystem_noefi is passed).

hanishkvc (hanishkvc) wrote :

Hi Steve/CluedInDevs,

Based on bit more grepping, I think I have part of the answer, at the same time another part still seems to be a potential issue !!! However please do correct my understanding, even if I am fully wrong also.

a) I notice that efivars.c has a pstore logic and using noefi will definitely stop this direct efi variable storage access and possible corruption in Samsung UEFI firmware.

HOWEVER

b) On reading thro the ACPI 4.0a spec, as I had assumed in my last post, it allows the platform provider to use the uefi runtime variable service to store APEI ERST error logging on a UEFI based system.

Now as the apei erst pstore is still registered even if noefi is passed. And inturn has this can inturn trigger writing to efi variable storage during a kernel crash or any apei related writes (Is it used anywhere else, I haven't checked yet), CAN this create any problem either directly (i.e it writing to efi variable storage and triggering the samsung efi bug) or indirectly (i.e as the efi virtual address mapping is not setup when noefi is passed, can it lead to random code running in the system in such a circumstance) ????

hanishkvc (hanishkvc) wrote :
Download full text (4.9 KiB)

Hi Steve/All,

Summary of what I have understood after going thro related things over the last few days.

NOTE: This is my understanding, anyone using this info, should cross checking things on their own before experiment on their samsung laptop. Unless others (who understand this fully) can also confirm my understanding to be correct.

NOTE: I am looking at the possibility of installing Ubuntu with UEFI enabled and ideally even Secure boot enabled. So my thoughts are based around that. And also to try and ensure that possibility of the laptop bricking is eliminated as much as possible.

There are potentially 3 known bugs in Samsung UEFI Firmware which can trip up Linux/Ubuntu installation, they are

BUG_A) (As noted by Matthew Garrett) High probability of Corruption of NVRAM / Firmware on using UEFI Runtime Service (RT) SetVariable functionality

In turn This will be triggered in Linux if any kernel crash occurs, as the pstore logic of efivars.c will try to write the crash dump to NVRAM.

POSSIBLE_SOLUTIONFOR_A) Now passing noefi kernel boot param will avoid this direct corruption path in the latest linux kernels (which have the noefi related bugfix - i.e which clears EFI_RUNTIME_SERVICE flag rather than wrongly clearing the EFI_BOOT flag) .

However at this juncture I am not sure if the linux kernel's acpi erst error logging functionality related pstore logic will trigger the same issue or not as this logic is not disabled on passing noefi boot param (However as uefi runtime service SetVirtualAddressMap is not called when noefi is passed - may be it won't create a problem but I am not sure, as I haven't dug sufficiently deep into uefi yet). So may be the safest bet may be to disable pstore logic of acpi erst (apei) in the linux kernel for now (This suggestion is partly due to my lack of knowledge wrt this fully currently, as I haven't dug enough into uefi+acpi interaction and their runtime environment [I don't mean uefi runtime service here] and its implication wrt os runtime).

BUG_B) Existance of the Samsung BIOS's old SMM equivalent handshaking or its vestiges in the newer UEFI firmware, and it leading to MCE.

Now the samsung-laptop module in the linux kernel is dependent on this old mechanism for achieving its functionality, and this inturn would lead to the BUG_A mentioned above in Samsung UEFI firmware, as it would trigger a MCE and kernel crash dump.

POSSIBLE_SOLUTIONFOR_B) AGAIN the latest linux kernels have WORKED AROUND this by disabling the loading of the samsung-laptop module, if the uefi booting is used. NOTE that passing noefi doesn't interfere with proper handling of this work around, as the linux kernel still knows that it was booted using UEFI even if noefi is passed.

BUG_C) The UEFI RT GetNextVariableName service doesn't handle its input parameters properly.

As noted by Jakob Heinemann during his exploration of the Samsung firmware bug, passing a variable name size greater than 128 potentially returns a error from GetNextVariableName (when in reality it shouldn't). However the Linux efivars.c in the kernel is currently written to pass 1024 has the variable name size and in turn there is no easy/direct way for a ...

Read more...

hanishkvc (hanishkvc) wrote :

And just for completeness of info in my last post, use of refind boot manager could be a usefull thing for people manually installing/configuring the boot process in the uefi setup. However I dont think by default it allows the secure boot chain to be passed down to the kernel, unless one uses/installs ones own PK (I think called custom boot mode at uefi firmware level) and suitable signing OR hash configuration in case of Linux foundations signed loader.

Yekeen Ajeigbe (aayekeen) wrote :

Hello all,

I have a Samsung NP-RV510I and I would like to install a Linux bistro (Most likely, Mint Cinnamon) on it. However, I came across this and got scared. Has anyone installed a Linux bistro this model successfully?

Yekeen Ajeigbe
I've successfully installed Ubuntu 12.04 and 10.04 in many samsung models include:
RVseries: RV-428, 408, 409, 413, 518, 411, 517, and the series: 300e4x_A0"X" , 30034Z_A0"x"
in each one of these laptops have just installed Ubuntu 11.04 and 12.04, ( I do not use Microsoft Windows at all )

Val (vk1266) wrote :

@Yekeen Ajeigbe: if you want to be certain that your laptop survives Ubuntu installation, install it in the CSM mode (BIOS compatibility mode - should be an option in your system BIOS configuration). As many people pointed out here, laptops do get bricked under certain circumstances in the UEFI mode, even when booting into Windows.

keghn (keghn) wrote :

 hello.
 i was trying out alive a live 12.10 usb flash in the the later part of 2012
when it bricked my Samsung laptop. Ubuntu already knows this.
 Untill Ubuntu fix this problem i will stay with 12.04.1.
 i am using Ubuntu 12.04.1, and Mint 14.1 mate on my samsung.
 Mint 14.1 Mate is very very good. Mint 13 mate is ok.
 the only thing that Ubuntu has that is it better is it
software manager.
 When i complain to Mint about a problem it will
be fixed very quickly through the update manager.
 before installing Mint 14 on my machine i watch the Mint forum
for bricking for about a month after Mint 14 came out and
did see any problems.
 Mint lets Ubuntu step on the land minds and is slower to
implement Ubuntu's changes. So i am thinking there is
chance that Mint 15 could be problem if Mint dose not see what going on here.

Macarena (marcoaasilva) wrote :

Please, the status is Fix Released. But, a seriuos problem like that, is frightening. So, if anyone call tell me, I wanna know if is really safe to install ubuntu on Samsung NP530U3C, or if is possible to install following some steps, or any other importante information. Thanks!

Samsung have published a BIOS update, version 1.0.0.3, which should correct the underlying problem.

So possibly the Linux installation procedure could now be amended to:

a) check whether the computer has a samsung bios lower 1.0.0.3, and if so warn the user to upgrade, and if the user continues the installation, to deactivate the samsung modules,

b) if the bios version is 1.0.0.3 or higher to do the installation with the samsung modules.

Knowing that Samsung are quite committed to Android and Linux, it is good that they have picked up this issue seriously and addressed it, even though it required multiple parties to do so and therefore took a bit of time. Thanks, Samsung !

Aki Rossi (lorkki) wrote :

On 21 March 2013 11:45, Arthur P. Meiners <email address hidden> wrote:

> Samsung have published a BIOS update, version 1.0.0.3, which should
> correct the underlying problem.
>
> So possibly the Linux installation procedure could now be amended to:
>
> a) check whether the computer has a samsung bios lower 1.0.0.3
>

How does one determine this for a given model? For the 530U3C, I just
received a firmware update carrying the version P12AAJ, which seems to be
the only version number reported anywhere.

--
Aki Rossi

Jose Padilla (sargepl) wrote :

I've just updated my 900X3C-A01ES BIOS from P04AAC to P06AAC. Is this the last version?

Fabri Velas (fabrivelas) wrote :

For my samsung 530u3c there is a new bios version p07abh available.
@Arthur, how do you know that this update addresses the issues raised here?

Not sure. I guess you are referring to the BIOS signatures. Actually I just noted that the version number I gave above is INCORRECT. That is the number shown on the Samsung NL site, but that version is dated 6 March 2012 (Twelve) so is an old version. The Samsung Windows update tool, however, did install an updated BIOS yesterday evening which does not yet show on the site, as well as updates for Windows from NVidia and wireless drivers.

Currently in the process of backing some stuff up, but looking in the Windows Registry (start regedit.exe, look under HKEY_LOCAL_MACHINE/HARDWARE/DESCRIPTION/System/BIOS) the BIOS shows as:

BIOSVersion: P05ABJ,
BIOSReleaseDate 9 March 2013,

BIOSVendor Phoenix Technologies,
SystemFamilly ChiefRiver System,

SytemProductName 700Z3C/700Z5C,

SystemVersion 0.1.

I guess the BIOS release date may be the better indicator whether you are up to date, as the BIOS identifiers seem to be different than those mentioned above which may be due to subversions for different markets or something like that.

Bit frustrating to not be able to correct my previous post with respect to the incorrect version number 1.0.0.3. The correction version number is not completely clear, but the version date should be MARCH 2013, just to be clear.

Fabri Velas (fabrivelas) wrote :

Ok, but there is no mention that this bios update will correct the 'bricking' problem, or did I miss something?
My bios p07abh has the date 11/3/2013...The SytemProductName is 530u3c/530u4c/532u3c.
My system boots under uefi... every bios upgrade gets rid of grub, so each time I have to reinstall grub using a sytem rescue usb. If I knew that this upgrade solves the bricking problem, then I would not need to upgrade bios anymore.

Val (vk1266) wrote :

Everyone who is attempting to upgrade BIOS, beware that the Ubuntu EFI boot option is erased during the upgrade process. The entry in the "Boot Priority Order" is gone after the upgrade, and you will need to install EFI grub to be able to continue using Ubuntu in the EFI mode. The upgrade process also sets the boot mode to "Secure Boot". If you need to continue booting into Ubuntu after the upgrade, make sure that you can boot Ubuntu into the CSM mode, and use the CSM mode until you have time to install EFI grub.

The BIOS upgrade comes without any changelog. Can anyone confirm that this upgrade indeed fixes the bricking problem?

Vit (r-vitaliy) wrote :

Does anyone know how to upgrade BIOS from Ubuntu? I don't have Windows on my 700Z5C laptop

Fabri Velas (fabrivelas) wrote :

@val. I have ubuntu under uefi. With a bios update grub gets erased and as you say 'Secure boot' is enabled. All I needed to do is disable 'secure boot' and run SystemRescueCd on a usb stick which detects the ubuntu present on the hard disk, I just boot into it and run an 'grub-install /dev/sda' and all is fine runing in uefi boot (see post #128 for more info about my setup).

Richard Munroe (rimunroe) wrote :

Hey everyone. I recently bricked my NP300E5C-A01UB trying to boot into Ubuntu with UEFI enabled. After locating the correct chip on the motherboard, my friend connected his bus pirate to it and we were able to dump the firmware and go through it. I have posted these logs and the dump of the borked firmware to GitHub https://github.com/rimunroe/SamsungUEFI. We recovered the kernel panic log from the dump, and I have posted it as well.

On a side note: if anyone can provide us with a copy of the original (or any somewhat working) firmware for the NP300E5C-A01UB, I would be most appreciative. Samsung doesn't provide firmware images directly on their website, and so far their support hasn't been very helpful. Let me know if anyone has any questions.

behati (jeppe-terndrup) wrote :

This happened to me yesterday on my NP530U3C-A07SE, I hadn't changed any BIOS settings so they were factory default (except the boot sequence, in which I had set USB booting highest). I was running Windows 8 and installed Ubuntu 12.10 Desktop amd64 using an USB created with the Linux Pendrive software. The installation worked flawlessly, everything was fast and responsive, upon completion it prompted me to restart. It started up (I had forgotten to take out the USB) so it jumped to the USB boot menu (Try Ubuntu.. Install.. etc), so I turned it off, took out the USB and powered it back on. The screen blinked once, then went into the gruesome void that it is today, completely black, completely bricked :(

I've talked to customer support where I bought it, and they are happy to take it back (luckily, as it's brand new) but it's still a hassle and an unpleasant feeling when your new machine dies for good.

Can anyone confirm whether the "bricking" problem was solved with the last bios update?

calant (caalant) wrote :

I am anxiously waiting to get Ubuntu onto my Samsung laptop but can't afford to try anything until this issue is resolved. Can we please get an update?

SiM (santiaggoo) wrote :

HI ALLL; I HAVE THE ULTIMATE SOLUTION!!!! BIOS UPDATE phoenix technologies motherfuking drivers

http://support-us.samsung.com/cyber/popup/iframe/pop_troubleshooting_fr.jsp?idx=414320&modelname=NP700Z5CH&modelcode=NP700Z5C-S01UB&session_id=QP4hDdPWPxZnqJszSFB11P2JL5yRyG2Q2WylhydGhrGcn1TkLwhk!6502746!-1629814220!1355774113202&from_osc=

I have updated with this samsung suit, then i disabled the uefi mode. and then i could boot from usb drive ubuntu 12.10 amd64. And i had have installed correctly.

Laptop: Samsung NP530U3C-AB1AR

GOOD LUCK!

Žygimantas Beručka (zygis) wrote :

How do you know if it _really_ contains the fix for this particular issue?

2013/5/3 SiM <email address hidden>

> HI ALLL; I HAVE THE ULTIMATE SOLUTION!!!! BIOS UPDATE phoenix
> technologies motherfuking drivers
>
> http://support-
>
> us.samsung.com/cyber/popup/iframe/pop_troubleshooting_fr.jsp?idx=414320&modelname=NP700Z5CH&modelcode
> =NP700Z5C-
>
> S01UB&session_id=QP4hDdPWPxZnqJszSFB11P2JL5yRyG2Q2WylhydGhrGcn1TkLwhk!6502746!-1629814220!1355774113202&from_osc=
>
> I have updated with this samsung suit, then i disabled the uefi mode.
> and then i could boot from usb drive ubuntu 12.10 amd64. And i had have
> installed correctly.
>
>
> Laptop: Samsung NP530U3C-AB1AR
>
> GOOD LUCK!
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1040557
>
> Title:
> UEFI boot live-usb bricks SAMSUNG 530U3C,np700z5c laptop
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu-cdimage/+bug/1040557/+subscriptions
>

Dennis (d-neumann-83) wrote :

I recently received a BIOS update with the version-no. P06ABJ. Does anybody know if it fixes the UEFI-Bug? I'm not able to find any release notes for this update.

Richard Fannin (murlorc) wrote :

Today I managed to install 13.04 alongside Windows 8 on my Samsung NP700z3c with the latest Samsung BIOS update (dated March 2012, I want to say it's P05ABJ but I'm not 100% on that).

Essentially the steps I undertook are as follows:

*A few months ago when I bought this laptop, I made some free space on the hard drive using Windows 8's disk utility tools (I believe you can get to it by entering the new "start menu" and searching for diskmgmt.msc); personally I made about 250 gb space for Ubuntu, but of course YMMV
*Before I installed Ubuntu I checked how fragmented my drive was; WIndows' built-in tools told me 1% fragmentation, and I figured this wouldn't cause any problems
*I downloaded 13.04 from the main Ubuntu site and followed the instructions on there for putting it on a USB drive (I think there's a link there to pendrivelinux, along with instructions for what to do)
*I checked the BIOS; after updating it back in March, it turns out it reset the secure-boot settings. Back in November I had disabled both secure-boot and fast-boot through the BIOS; when I checked it this time fast-boot was disabled, but secure-boot was not.
*I DID NOT change the boot preference to CSM or CSM/UEFI, I kept it at UEFI (I believe this is the main problem caused by this bug)
*In the BIOS options I changed the boot priority to USB HDD, then Windows boot loader
*I restarted my computer, and the familiar live-usb grub menu popped up
*I chose to install Ubuntu
*According to https://help.ubuntu.com/community/UEFI#Creating_an_EFI_partition and some various askubuntu.com pages, you should select "manual installation" (whichever options lets you choose what gets installed where); I made an EFI partition of 250 mb as recommended in the Ubuntu wiki at the beginning of the free space I had originally set out; I made a swap partition of about 6 gb, and the rest I made for /
*Downloaded updates and whatnot during installation
*Restarted my computer, it booted into Grub and I was able to log into Ubuntu
*Restarted again, booted into Grub and selected the Windows entry. It didn't work, said something about an invalid EFI path (as noted here: http://askubuntu.com/questions/297431/invalid-efi-file-path-on-windows-8); I followed the suggestion solution about installing rEFInd
*Restarted again, rEFInd menu shows up. First entry is Windows; selecting that managed to load Windows 8 without a problem. Second entry is Ubuntu, selecting that managed to load Ubuntu without a problem. There are like 4 other entires; haven't tried them yet, have no plans to.

Hope this helps

Steve Langasek (vorlon) wrote :

On Mon, May 20, 2013 at 09:54:19PM -0000, Richard Fannin wrote:

> *According to
> https://help.ubuntu.com/community/UEFI#Creating_an_EFI_partition and
> some various askubuntu.com pages, you should select "manual
> installation" (whichever options lets you choose what gets installed
> where); I made an EFI partition of 250 mb as recommended in the Ubuntu
> wiki at the beginning of the free space I had originally set out; I made
> a swap partition of about 6 gb, and the rest I made for /

It is NOT recommended to use manual mode and create a separate EFI partition
when installing on a dual-boot UEFI system. Doing this is almost certainly
why you were unable to boot back into Windows until you installed rEFInd.

I have corrected this wiki page to try to make it clearer that manual
partitioning, and creating an Ubuntu-specific EFI boot partition, is neither
required nor recommended.

j0lly (j0lly) wrote :

Hello everybody; i recently took the time to read all the articles: i have a NP530U3C running Arch. I would now update the firmware to start use the UEFI booting. There's a way to flash the firmware without windows? as i can't find anywhere on the net the mentioned firmware. Should be safer to get a bootable windows xp media and flash from there?

A side note:

I followed others bugreports in the last few mouths discussing an ACPI bug on these samsung models:
https://bugs.launchpad.net/ubuntu/+source/acpi/+bug/971061
https://bugzilla.kernel.org/show_bug.cgi?id=44161

I would just rise the question couse i'm corious if the two things can be related

Fabio (mr-fabio90-g) wrote :

Hello everybody,
today 22/05/2013 i bricked my samsung 535u3c a02. I don't Know how..but i succesfully installed ubuntu 13.04 in standard way(no UEFI) and it worked pretty well..(no suspension and terribly slow on AC-in). After a kernel panic i shutdown manually the pc...and on startup nothing...black screen and nothing..neither the Samsung screen. I'm going to repair the computer(warrenty)..but can someone write a full guide to install safely ubuntu on these machines?..PLEASE!!! And another question..Is Ubuntu 12.04.2 affected by this bug too?!
Thanks everybody!

Fabri Velas (fabrivelas) wrote :

@ Fabio: I installed ubuntu 12.04 in the uefi way and it still works (for more info see post #128). I guess you don't need the daily image, if you use 12.04.2, because it already has the patched kernel.
I find it strange, though, that your computer bricked, since I thought that the 13.04 kernels do not call samsung-laptop anymore and so avoiding the bricking problem. I know that 12.10 is not save to install, because there was no updated kernel for the installation image, but that you should be able to upgrade to it.
Did you do a bios upgrade before you installed ubuntu?

Fabio (mr-fabio90-g) wrote :

no i don't..i immediatly uninstalled Win8 and tryied to install ubuntu..i don't know wich was bios version...is there any fix to repair boot..without using warrenty?

frantoms (frantoms) wrote :

Hello everybody.

I just buy a Samsung Series 5 Ulta (NP530U3) and when I boot with liveUSB and shut down witout install ubuntu I recibe a Black Screen and my laptop never boot.

Someone with the same laptop has installed dual boot (Ubuntu 12.04 and Win 7)? I have pre-installed Win 7.
If this is so could tell me how to do it?
If not, how I can install only ubuntu 12.04.2 on my laptop without problems?

Reards!

keghn (keghn) wrote :

 Hello Frantoms.

 I have 12.04 installed on my laptop.
 When I tried to install 12.10 with a live usb it bricked my laptop. This was in November
of 2012. I had windows 7 on another partition and was 700z5c Samsung.
 It was sill under warranty and go a new mother board put into it.

 What live Ubuntu install did you try?

 Right now I have Ubuntu 12.04.1 , windows 7, and Mint 14.1 on my machine.

 I plan on passing up on 12.10.
 Now I am watching the web for problems with 13.04.
 If there are problems with 13 I am going to move completely over tom Mint.

frantoms (frantoms) wrote :

Hello keghn,

I try to install ubuntu 12.10 and it bricked my laptop.

I'm looking for a way to install add run ubuntu without any problem. but I didn't found it yet.
How do you install you ubuntu 12.04.1? Do you have SSD?

Regards!

Žygimantas Beručka (zygis) wrote :

Did you try to update Samsung provided BIOS from within Windows first?

Rumour has it that Samsung released an updated BIOS that has this issue
ironed out. (And yes, there indeed have been two or three BIOS updates from
Samsung on my sister's presumably affected laptop since I am following this
thread.) In this case it should be safe to run any version of Ubuntu or
Windows on your laptop. Until the fix is there, I'm afraid no one is 100 %
safe.

However, beware that NO ONE has yet confirmed that the fix has actually
been released. Samsung do not bother to provide changelogs or make a
one-liner public announcement. Neither do Ubuntu/Canonical who, if I
understand Steve correctly, have been previously communicating Samsung devs
concerning the issue.

That is why I still have not installed Ubuntu for my sister on that laptop,
not worth the risk. Even though she had been running it as her sole OS
since 2005. Not anymore, thanks to the obscure PR.

I am afraid this is a social bug too.

2013/5/25 frantoms <email address hidden>

> Hello keghn,
>
> I try to install ubuntu 12.10 and it bricked my laptop.
>
> I'm looking for a way to install add run ubuntu without any problem. but I
> didn't found it yet.
> How do you install you ubuntu 12.04.1? Do you have SSD?
>
> Regards!
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1040557
>
> Title:
> UEFI boot live-usb bricks SAMSUNG 530U3C,np700z5c laptop
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu-cdimage/+bug/1040557/+subscriptions
>

keghn (keghn) wrote :

 Hello Frantoms.

 I installed 12.04 with a live usb stick.
 Ubuntu 12.10 have the bricking problem.
 Ubuntu 13.04 is ?????????.
 When I brick my system in 2012 I had a working linux OS
in the SSD. And when mother board was swap out for a new
one i lost it. The SSD is built into the mother board.
 I have the SSD as an active partition now and use it to store stuff.

keghn (keghn) wrote :

 Hello Zygis.
 I clueless about the Samsung fix.
 I was going to wait around until Ubuntu could put fix
it into 13.04.1 image or update my current 12.04 through the update manager
so i could upgrade withe the internet.

Carl Karsten (carlfk) wrote :

I have the a Samsung that needs to go back, I am happy to run some tests to see something that shouldn't brick it still does. So give me steps and I'll apply them and document the results.

juser@dhcp189:/sys/devices/virtual/dmi/id$ sudo cat product_name product_serial board_serial bios_*
900X3C/900X3D/900X3E/900X4C/900X4D
HYRE91GD300024
123490EN400015
02/26/2013
Phoenix Technologies Ltd.
P05ABK

frantoms (frantoms) wrote :

Hi All,

I just install ubuntu 13.04 64bit on my samsung series 5 (NP530U3C) and works well. Is fast and I don't have any problems with drives or batery.

Fisrt I update the bios to the last version.
Disable UEFI on Bios and secure boot
Change boot device order with USB HDD on top
Install 13.04 64bit from liveUSB.

Partitions:

sda1 SYSTEM 200mb
sda2 WINDOWS 7 82GB
sda3 swap 8GB
sda4 ext4 ---> /home 340GB
sda5 RECOVERY SAMSUNG 16GB

sdb1 ext4 ---> / 24GB

Set sda (HDD) as boot disk!

Good luck!!!

Žygimantas Beručka (zygis) wrote :

Here's a very fresh update on the matter from the fantastic Mr. Matthew Garrett: http://mjg59.dreamwidth.org/25091.html

Here's the summary of it:

"Hence this patch. The new approach is to ask the firmware how much space is available. If the size of the new variable would reduce this to less than 5K, we attempt to create a variable bigger than the remaining space. This should cause the firmware to realise that it's out of room and either (depending on implementation) perform a garbage collection run at runtime or set a flag that will cause the system to perform garbage collection on the next reboot. We then call QueryVariableInfo() again to see whether a garbage collection run actually happened, and if so check whether we now have enough space. If so, we go ahead and write the variable. If not, we tell userspace that there's not enough space.

This seems to work in all the situations I've tested, and it should avoid ending up in a situation where a Samsung can end up bricked. However, it's firmware, so who knows whether it's going to break things for someone else."

The aforementioned patch can be found here: https://lkml.org/lkml/2013/6/1/200

So my question, or rather begging, would be may somebody from the Ubuntu kernel team backport this patch so that it would be available on (at the very least) daily images of 13.04 (or older folks who prefer it)? So that people would be as safe from being affected by the bug as much as possible?

omega99 (v55222) wrote :

My notebook: Samsung 530U3C
My problem: F2 doesn't work; I am not able to change BIOS settings.
Supposed reason: backup and recovery with Acronis

Val (vk1266) wrote :

Steve or anyone who has access to the lines of communication with Samsung engineering team!

PLEASE can you ask the Samsung people to PLEASE clarify whether this bug has been fixed in the latest firmware? Or at least if they believe that it has been fixed?

I am willing to risk my NP700Z5C and test the new firmware by loading 'samsung-laptop' in the UEFI mode to bring back some functionality that is not otherwise available in the UEFI mode, such as the video camera device and keyboard backlighting IF there is a word from Samsung that yes indeed, they have looked into this issue and tried to fix it.

Without a word of communication from Samsung, it's too risky to try anything in the UEFI mode, IMHO.

GILBERT (t-gilbert1) wrote :

Hi,

I recently installed ubuntu 13.04 on my laptop NP700Z5C-02. The installation went well by but I am unable to launch windows. The laptop does not brig. On the other side I don't know how to recover Windows partition.
You have to go into the bios and change the boot order of drives (not very nice)

Error: Invalid EFI file path

Here is how I did:

• updated the bios from windows P06ABJ
• free space on the Windows partition
• Disable bios fast fashion
• I left the secure boot (enabled)
• Install ubuntu from USB key

Val (vk1266) wrote :

@Gilbert: see paragraph no 14 in post #114 for a fix to this problem. It's a known bug in update-grub - Windows EFI boot entries are not generated correctly.

Žygimantas Beručka (zygis) wrote :

The aforementioned modified UEFI anti-bricking code has been released in
Linux 3.10-rc6, see:
https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=f8b8404337de4e2466e2e1139ea68b1f8295974fI
hope it really works. :)

Hopefully, this kernel will be included in Saucy images/daily images... If
it's not, does anyone know how to make a Raring/Saucy install image with
3.10-rc6 kernel debs taken from the mainline kernel PPA?

2013/6/13 Val <email address hidden>

> @Gilbert: see paragraph no 14 in post #114 for a fix to this problem.
> It's a known bug in update-grub - Windows EFI boot entries are not
> generated correctly.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1040557
>
> Title:
> UEFI boot live-usb bricks SAMSUNG 530U3C,np700z5c laptop
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu-cdimage/+bug/1040557/+subscriptions
>

Žygimantas Beručka (zygis) wrote :

There's a mistake in the link above, it has caught an I as a part of the
link. The actual link is the following:
https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=f8b8404337de4e2466e2e1139ea68b1f8295974f

2013/6/16 Žygimantas Beručka <email address hidden>

> The aforementioned modified UEFI anti-bricking code has been released in
> Linux 3.10-rc6, see:
> https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=f8b8404337de4e2466e2e1139ea68b1f8295974fI hope it really works. :)
>
> Hopefully, this kernel will be included in Saucy images/daily images... If
> it's not, does anyone know how to make a Raring/Saucy install image with
> 3.10-rc6 kernel debs taken from the mainline kernel PPA?
>
>
> 2013/6/13 Val <email address hidden>
>
>> @Gilbert: see paragraph no 14 in post #114 for a fix to this problem.
>> It's a known bug in update-grub - Windows EFI boot entries are not
>> generated correctly.
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1040557
>>
>> Title:
>> UEFI boot live-usb bricks SAMSUNG 530U3C,np700z5c laptop
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/ubuntu-cdimage/+bug/1040557/+subscriptions
>>
>
>

Žygimantas Beručka (zygis) wrote :

I know where to get the packages, but thank you anyway. :)

My question was rather how to build an image with those packages or where
it would be possible to get one. So that people would be able to install
Ubuntu from such images containing a (hopefully) safe kernel, i.e. to boot
it right away instead of just installing it before the second boot.

I discovered (http://voices.canonical.com/kernelteam/) that the Ubuntu
Kernel Team are planning, I assume, to use the 3.10 kernel in the nearest
future once some issues are resolved:

> Our Saucy unstable branch has been rebased to the latest v3.10-rc5
> upstream kernel. We are still holding off on a v3.10 based upload due
> to missing AUFS support as well as some DKMS package failures we would
> like to resolve. We have however gone ahead and rebased our Saucy master
> branch to the recent v3.9.5 upstream stable and plan to upload that
> today.

That is great news. However, this still means that any owner of affected
machines who is not running Saucy with 3.10-rc6 or newer might still be
affected by the issue. (Unless SAMSUNG have resolved it already, which may
or may not be the case, but I have no hope that we will ever get to know
this.) Hence I think it may be worth the effort to either consider
backporting the patch or create alternative cd/usb images with those 3.10
kernels of all currently supported Ubuntu releases.

What do you think? Would it be possible to implement any of above?

2013/6/16 LocutusOfBorg <email address hidden>

> http://kernel.ubuntu.com/~kernel-ppa/mainline/ :-)
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1040557
>
> Title:
> UEFI boot live-usb bricks SAMSUNG 530U3C,np700z5c laptop
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu-cdimage/+bug/1040557/+subscriptions
>

Jethro (jethro-belman) wrote :

So tomorrow I will receive delivery of a new: Samsung 530U3C-A06PT. I will post more detailed specs tomorrow.

I plan on performing the following step's based on reading the above (specifically as per #202), please provide some thoughts on this:

- Update BIOS using Samsung Windows updater (Win 8)
- Decrease Win 8 partion size
- Reboot and confirm Win 8 Ok
- Reboot and disable UEFI/secure boot
- Change USB to first boot priority
- Reboot and install Ubuntu 13.04-desktop-amd64 - downloaded today (Using a reliable USB stick made with steps from: http://www.ubuntu.com/download/desktop/create-a-usb-stick-on-windows)
- See what happens!

I will grab further system/machine info upon delivery tomorrow before attempting the above. I have also sent a message to Samsung querying their best practice/advice but don't hold much hope on an answer before tomorrow.

Fingers crossed :)

Jethro (jethro-belman) wrote :

Correction to the above will be using: Ubuntu 13.04-desktop-i386 as model has: Intel i5-3317U

Žygimantas Beručka (zygis) wrote :

Just noting you don't have to use the i386 image on the 64bit i5 CPU,
unless you want to install the 32bit version of Ubuntu. Amd64 images is
what you should be using if you want to run a 64bit OS; it has nothing to
do with the AMD vs. Intel distinction.

By the way, I have also ordered a 530U3C-A05EE machine and going to take
the risk. Fingers crossed. Will report later.

2013 m. birželis 17 d., pirmadienis, Jethro <email address hidden> rašė:
> Correction to the above will be using: Ubuntu 13.04-desktop-i386 as
> model has: Intel i5-3317U
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1040557
>
> Title:
> UEFI boot live-usb bricks SAMSUNG 530U3C,np700z5c laptop
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu-cdimage/+bug/1040557/+subscriptions
>

Jethro (jethro-belman) wrote :

Samsung replied very fast to me, here is their response:

In response to your inquiry requesting information about the Samsung, we appreciate email addressed to us, which will be our best attention. We inform you Samsung doesn't give the support of any kind of version of Linux. You can try to install Ubuntu, but you should change some options in BIOS:

1st step: Resart the PC and press F2;
2nd step: Disable the Secure Boot;
3rd step: Change OS Mode Selection to CSM OS;
4nd step: Press F10 to save the changes;
5nd step: Press F9 to exit on the BIOS;

papukaija (papukaija) on 2013-06-18
tags: added: cherry-pick
Jethro (jethro-belman) wrote :

So further to my earlier posts #212 and #215 I followed these steps and Ubuntu 13.04-desktop-amd64 installed without glitch.

So:
Updated BIOS using built in Samsung updater
Disabled Secure Boot
Change OS selection to CSM OS
USB HDD to highest priority
Boot from USB and install Ubuntu

The only problem I have at the moment is the bootloader. Loading Windows 8 from GRUB gives error. When in UEFI mode Windows 8 boots fine. When in CSM OS Ubuntu boots fine from GRUB.

Going to try and follow steps in #202 to resolve this. But this is a minor issue. Basically not bricked!

stblack (stblack-linux) wrote :

I'd like to have your suggestions about a possible temporary solution, at least for me, to this bug.
I have a NP770Z5E and I wouldn't like to brick it.
What about to install linux and place the /boot partition on an external SD card (setting the boot order of SD at the top) and the rest of the system on the HD ?
Is this solution possible , or is it bricking the laptop ?

Thanks
stblack

tags: removed: kernel-key
Jordan (jordanu) wrote :

On Tue, Jun 25, 2013 at 5:58 AM, stblack <email address hidden> wrote:
> I'd like to have your suggestions about a possible temporary solution, at least for me, to this bug.
> I have a NP770Z5E and I wouldn't like to brick it.
> What about to install linux and place the /boot partition on an external SD card (setting the boot order of SD at the top) and the rest of the system on the HD ?
> Is this solution possible , or is it bricking the laptop ?

The issue is with EFI variables, which are stored in NVRAM within your
motherboard, so where /boot/ is stored is irrelevant.

stblack (stblack-linux) wrote :

Thanks Jordan,
so I check better the Jethro solution.

Jethro,
are steps in #202 solved the Windows 8 boot issue from grub ?

Thanks
Stefano

Žygimantas Beručka (zygis) wrote :

I have been running Ubuntu 13.04 on SAMSUNG NP530U3C-A05EE for a good week
and a half. So far so good. Please note, that I am running a mainline 3.10
kernel from http://kernel.ubuntu.com/~kernel-ppa/mainline/ which among
other things contains Matthew Garrett's UEFI anti-bricking patches.

First of all, I have installed SAMSUNG BIOS upgrades from within Windows 8,
then reduced Windows partition to leave around 40–50 Gb of free space, the
remaining free space on a HDD was allocated for Ubuntu's "/home" directory.
Next I disabled Intel rapid start technology, in Windows, (for I might need
to copy files from Ubuntu to that Windows partition in the future, and
AFAIK having that enabled would lead to filesystem errors) and disabled
secure boot in BIOS. Having made those preparations, I went to install
Ubuntu 13.04 amd64 from a USB flash drive. (I have a 500 Gb hard drive and
a SanDisk SSD i100 24GB. As I do not boot into Windows very often, I wiped
everything wpresent on the SSD and allocated it for Ubuntu's "/" partition
(great boot/app launch speeds!).)

On the first boot I have downloaded a mainline 3.10 (then still RC) kernel,
installed it and rebooted. All is well. Later I realized Windows would not
boot out of the box, complaining something about an invalid path or
something, I do not recall the exect message. However, installing and using
Repair-Boot did the trick; now I am able to boot into both Ubuntu and
Windows 8 just fine.

What works? Pretty much everything. What does not work? Rfkill switch and
fan speed switch (Fn-F11 and Fn-F12 relatively), despite me having
installed the "samsung-tools" package (that's just a frontend) from Voria's
"Samsung on Linux" PPA. I believe both need the functionality the
"samsung-laptop" module provides. However, it is disabled and even though I
took the risk of loading it on my machine (having in mind safety Mr.
Garrett's patches are supposed to provide) I was unable to do that because
of errors.

I wonder will this module be enabled some time in the future. We will see.

2013/6/28 stblack <email address hidden>

> Thanks Jordan,
> so I check better the Jethro solution.
>
> Jethro,
> are steps in #202 solved the Windows 8 boot issue from grub ?
>
> Thanks
> Stefano
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1040557
>
> Title:
> UEFI boot live-usb bricks SAMSUNG 530U3C,np700z5c laptop
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu-cdimage/+bug/1040557/+subscriptions
>

muhammd (matrix-popmex) on 2013-07-08
Changed in ubuntu-release-notes:
status: Invalid → Fix Released
nainno (marc-5) wrote :

For helping, installing Ubuntu on a Samsung S5 :

On a 530U3C-A06FR with a 13.04 (x86) loaded on a usb Key with lili usb creator (windows 7).

- I updated the bios
- I disabled secure boot / UEFI
- I installed Ubuntu
- It worked fine.

I have not the balls to try to install it with UEFI enabled.

Fabio (mr-fabio90) wrote :

Hi everybody!!

I bricked my laptop 1 month ago(series 5 AMD A6). Now i've my new model NP535u3c a03(series 5 AMD A4 4355M). Can someone guide me in installing Ubuntu 12.04.2 on my computer? I tried to install both 12.04.2 and 13.04 but on install Win8 is not recognized. Is it SAFE to totally remove Win8 partition and format the disk to use it only for ubuntu?? PLEASE HELP!! Oh i upgraed the BIOS from version P04RAS to version P07RAS.

Thanks everybody!!

Val (vk1266) wrote :

@Fabio: if you completely remove Win8, you will likely lose the ability to upgrade your machine's firmware. The firmware can be upgraded only with Samsung Updater - a Windows application.

If Win8 does not start from your newly installed Grub, you are probably hitting the known bug:
https://bugs.launchpad.net/ubuntu/+source/grub2/+bug/1024383
The solution suggested in post 18 on that bug's page worked for me. However, there was another problem with incorrect timeout setting; see paragraph 14 in https://bugs.launchpad.net/ubuntu-cdimage/+bug/1040557/comments/114/.

Apparently, there are other ways to get Win8 Grub entry working. See post #189 above.

Fabio (mr-fabio90) wrote :

Mine's not a problem concering GRUB. My problem is that during installation Win8 is not recognized so that i could choose "Install Ubuntu alongside windows 8". So is there a full guide on installing ubuntu safley on these machines? or can someone wrote one? PLEASE HELP! Thanks!

Fabio (mr-fabio90) wrote :

Oh ok..i'll Try your guide on the second link!! Thanks..i'll wrote in case of success ;)

Fabio (mr-fabio90) wrote :

So here's my STORY(Long Story) with my Samsung computers.
I think what i'm going to write could be a:

GUIDE IN INSTALLING UBUNTU 12.04.2 ON SAMSUNG 535U3C-A02 AND SAMSUNG 535U3C-A03(A02=AMD A6 - A03=AMD A4)

1) Update BIOS using windows 8(or Win7) preinstalled. My version was P04RAS updated to P07RAS!
2) Create a boot disk using unetbootin on windows 8
3)Go to BIOS>FastBoot>Disabled
4) Go to BIOS>SecureBoot>Disabled>CSM OS(IMPORTANT DO NOT SELECT "CSM OS AND UEFI OS")
5) Select your USB-DRIVE as primary device for boot.
6) Boot into Live.

--BREAK--
At this point the computer should work but there are several problems:
1)Ati drivers(KEEP THE COMPUTER SCREEN ON AND NEVER GO ON SUSPEND..MAYBE CLOSING THE SCREEN OR YOU'LL HAVE TO REBOOT INTO LIVE!!)
2)On AC-plugged in the computer is very slow so please charge your battery before installing. The solution to this problem is installing Jupiter during your live session..so if you install jupiter you can use your computer with AC-in.

--Continue--

7)Install UBUNTU 12.04.2 choosing the option to install Updates and third part software.
8)At this point (for me) WIN 8 is not recognized so chose "Other" in installation option.
9)Editing Partitions:

You just DO NOT TOUCH BOOT PARTIOTION!! Resize Win 8 one(NTFS partition) and create, using the new free space, an EXT4 partition and a SWAP partition. CHOOSE THE HDD(SDA) AS DISK TO INSTALL BOOTLOADER, NO OTHER PARTITION!

10) Let Ubuntu install!
11) On the first reboot install all of the updates needed.
12) After installing updates go to: http://support.amd.com/it/gpudownload/linux/Pages/radeon_linux.aspx and download BETA DRIVERS 13.8!!
13) Install drivers using terminal(go to directory and type "sudo 'name-of-the-driver'")
14) On reboot YOU HAVE YOUR CARD FULLY WORKING AND WAKEUP AFTER SUSPEND WORKS PERFECTLY!!
NOTE:
DO NOT REMOVE THE DRIVER SETUP AFTER INSTALL!! EVERY TIME YOU'LL UPDATE THE KERNEL YOU'LL HAVE TO REINSTALL DRIVERS MANUALLY FROM CONSOLE AND REBOOT. THEN EVERYTHING IS PERFECT AGAIN!

15) INSTALL JUPITER!!! Is very important so that the fan works correctly AND TO SOLVE THE PROBLEM OF SLOW PC ON AC IN!
16) Use the Plymouth fix proposed here: http://www.mobilegeek.it/2010/05/ubuntu-10-04-fix-veloce-per-plymouth/ to make plymouth show correctly on boot!

17) More or less you've DONE!! Enjoy
18) Battery Life is good..3H on 80% charge..
19) Backlight start working when you install ATI drivers.
20) Camera works with skype!

Everything is OK. I use this trick to disable bluetooth on boot: http://www.lffl.org/2011/12/ubuntu-disattivare-il-bluetooth-o-wifi.html

I hope this guide could Help so much people using the same machine. SORRY FOR MY ENGLISH! GOOD LUCK!

Jethro (jethro-belman) wrote :

Hi guys,

Apologies for my lack of response. I had been running fine Ubuntu by manually enabling CSM as boot option in BIOS and booting but GRUB would give an error trying to load Windows 8, I had to manually change back to UEFI boot option to load Win 8. I hadn't had time to find a fix to this.

FYI when I installed Ubuntu I used the option install alongside Win 8.

I have subsequently used the excellently tool here to fix this: http://sourceforge.net/p/boot-repair/home/Home/ I used this by installing via Ubuntu and just running standard options, upon reboot im running fine.

And GRUB now boots fine into Ubuntu or Win 8. When I get time i'm going to actually dig a bit deeper and write a guide and figure out the actual issue but as a Linux noob I've not had the time to go too deep into the root cause.

In essence using my above steps and then using the boot repair tool I'm able to dual boot fine. Will update in the future again.

keghn (keghn) wrote :

 I had to use boot repair on insulation of 11.04, 11.10,and 12.04 to make Ubuntu visible on
My grub table. 11.04 and 11.10 I had on my Sony viao. Then I moved up to a Samsung NP700Z5C
laptop.
 Put 12.04 on that. When 12.10 came out I bricked my rig trying it out, on A live usb thumb drive.
 Ubuntu is getting harder and with every new distro to install on my computer.
 I wish Ubuntu would slow down for just for one year to chase out most of there bugs.

-----Original Message-----
From: Jethro <email address hidden>
To: keghn <email address hidden>
Sent: Sun, Aug 4, 2013 1:05 pm
Subject: [Bug 1040557] Re: UEFI boot live-usb bricks SAMSUNG 530U3C, np700z5c laptop

Hi guys,

Apologies for my lack of response. I had been running fine Ubuntu by
manually enabling CSM as boot option in BIOS and booting but GRUB would
give an error trying to load Windows 8, I had to manually change back to
UEFI boot option to load Win 8. I hadn't had time to find a fix to this.

FYI when I installed Ubuntu I used the option install alongside Win 8.

I have subsequently used the excellently tool here to fix this:
http://sourceforge.net/p/boot-repair/home/Home/ I used this by
installing via Ubuntu and just running standard options, upon reboot im
running fine.

And GRUB now boots fine into Ubuntu or Win 8. When I get time i'm going
to actually dig a bit deeper and write a guide and figure out the actual
issue but as a Linux noob I've not had the time to go too deep into the
root cause.

In essence using my above steps and then using the boot repair tool I'm
able to dual boot fine. Will update in the future again.

--
You received this bug notification because you are subscribed to a
duplicate bug report (1124616).
https://bugs.launchpad.net/bugs/1040557

Title:
  UEFI boot live-usb bricks SAMSUNG 530U3C,np700z5c laptop

Status in Ubuntu CD image build software:
  Invalid
Status in Release Notes for Ubuntu:
  Fix Released
Status in Release Notes for Ubuntu quantal series:
  Fix Released
Status in “linux” package in Ubuntu:
  Fix Committed
Status in “linux” source package in Oneiric:
  Fix Released
Status in “linux” source package in Precise:
  Fix Released
Status in “linux” source package in Quantal:
  Fix Released

Bug description:
  I cannot provide detailed log massages because laptop is bricked right
  now.

  If you have courage to try it select UEFI boot from bios and than try
  to boot laptop using liveusb (made form Precise Pangolin 12.04.1
  amd64).

  Laptop hangs up in black screen. If you force power-off, after it,
  laptop wont start. I mean it not event start bios, just black screen
  no sounds nothing.

  I filing this report, because i already bricked second laptop. At
  first i thought it was unrelated issue and laptop was fixed by
  warranty service (replaced motherboard), but after second time i quite
  sure.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu-cdimage/+bug/1040557/+subscriptions

nob0dy (kib0rg1337) wrote :

Can anyone confirm that this bug did not affect the Samsung Series 3 (370R5E)?

It has been 2 BIOS updates since the release of the laptop (of course, changelog's has not been provided), and I wonder whether this is fixed now, or just do not have this bug.

I can not find any information on the internet about 370r5e (users only talk about the 300/350 models).

Does anyone have this laptop, and have you had experience of installing on it two OS's (Win8 + Ubuntu) with EFI?

calant (caalant) wrote :

So I figure the safest thing to do is to wait for Ubuntu 13.10 release? Since this uses linux kernel 3.11 which contains the anti brick patch?

So is this problem only with Samsung laptops/
Is this only for 64 bit or it is also for 32 bit.
Kindly inform on this.

Thank you in advance.

calant (caalant) wrote :

It is only on Samsung laptops. I don't know if the version affects the issue.

Žygimantas Beručka (zygis) wrote :

Calant, let me put it this way. There were no confirmations either from
SAMSUNG or from Ubuntu/kernel devs that the fixes released necessarily
solve those issues (no info from SAMSUNG at all). However, as you can see,
there are almost no new reports that people are still facing the issue.

If you are interested in my way of dealing with the situation, as I wrote
somewhere above, I installed vanilla 13.04 (it already has the
hypothetically bug triggering 'samsung-laptop' module disabled) and
afterwards (on the first boot) made sure to have a 3.10 kernel installed
from http://kernel.ubuntu.com/~kernel-ppa/mainline/. (Just in case; as 3.10
– still a -rc at the time – was the first kernel containing some
significant Matthew Garrett's anti-bricking patches that should in theory
remove even a slightest possibility to be affected by the issue.) Have not
looked back since then, everything has been working flawlessly (I have a
530U3C-EE05 machine).

So you can wait or just do the same as I did (just take the 3.11 mainline
kernel instead, as it is already out). And I am not the only one who did
this, as you can see in this thread.

2013/9/11 calant <email address hidden>

> So I figure the safest thing to do is to wait for Ubuntu 13.10 release?
> Since this uses linux kernel 3.11 which contains the anti brick patch?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1040557
>
> Title:
> UEFI boot live-usb bricks SAMSUNG 530U3C,np700z5c laptop
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu-cdimage/+bug/1040557/+subscriptions
>

Žygimantas Beručka (zygis) wrote :

And do not forget to get the latest Samsung BIOS updates from within
Windows first! This is of utmost importance.

2013/9/11 calant <email address hidden>

> So I figure the safest thing to do is to wait for Ubuntu 13.10 release?
> Since this uses linux kernel 3.11 which contains the anti brick patch?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1040557
>
> Title:
> UEFI boot live-usb bricks SAMSUNG 530U3C,np700z5c laptop
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu-cdimage/+bug/1040557/+subscriptions
>

Hi everybody,

I have just purchased a 530U3C. I have read through all the comments. I would like if someone could clarify some points.

About the specific issue:

Is it reasonable safe to try/install Ubuntu disabling UEFI?

Does current release 13.04 come with a kernel containing the patch mentioned above?

The BIOS menu does not have "secure boot", or "cms", just enable or disable UEFI. disabling that setting would be enough?

What are the disadvantages of disabling UEFI?

What would be the "best way" to create the booteable pen drive?

I upgraded the BIOS using samsung's updater (version info below) . Do we have any info yet ragarding the fix?

A little off-topic / if someone insalled ubuntu in this model:

Does dual booting work ok? i.e. may i risk the Windows 7 installation by installing GRUB, etc?

Is it safe to delete the partitions on the SSD drive and install linux there or would that bring problems to windows?

Many thanks in advance and sorry if this is a misuse of the bug-report. If I devcide to try it i will report the results.

---------
BIOS version
Nombre de clave: HKEY_LOCAL_MACHINE\HARDWARE\DESCRIPTION\System\BIOS
Nombre de clase: <Ninguna clase>
Hora de última escritura: 14/10/2013 - 09:13 a.m.
Valor 0
  Nombre: BiosMajorRelease
  Tipo: REG_DWORD
  Datos: 0

Valor 1
  Nombre: BiosMinorRelease
  Tipo: REG_DWORD
  Datos: 0x1

Valor 2
  Nombre: ECFirmwareMajorRelease
  Tipo: REG_DWORD
  Datos: 0xff

Valor 3
  Nombre: ECFirmwareMinorRelease
  Tipo: REG_DWORD
  Datos: 0xff

Valor 4
  Nombre: BaseBoardManufacturer
  Tipo: REG_SZ
  Datos: SAMSUNG ELECTRONICS CO., LTD.

Valor 5
  Nombre: BaseBoardProduct
  Tipo: REG_SZ
  Datos: SAMSUNG_NP1234567890

Valor 6
  Nombre: BaseBoardVersion
  Tipo: REG_SZ
  Datos: FAB1

Valor 7
  Nombre: BIOSReleaseDate
  Tipo: REG_SZ
  Datos: 04/15/2013

Valor 8
  Nombre: BIOSVendor
  Tipo: REG_SZ
  Datos: Phoenix Technologies Ltd.

Valor 9
  Nombre: BIOSVersion
  Tipo: REG_SZ
  Datos: P14AAJ

Valor 10
  Nombre: SystemFamily
  Tipo: REG_SZ
  Datos: ChiefRiver System

Valor 11
  Nombre: SystemManufacturer
  Tipo: REG_SZ
  Datos: SAMSUNG ELECTRONICS CO., LTD.

Valor 12
  Nombre: SystemProductName
  Tipo: REG_SZ
  Datos: 530U3C/530U4C

Valor 13
  Nombre: SystemSKU
  Tipo: REG_SZ
  Datos: System SKUNumber

Valor 14
  Nombre: SystemVersion
  Tipo: REG_SZ
  Datos: 0.1

keghn (keghn) wrote :

 Hello,
What model is you laptop?
 Did you up date the bios in Windows?
 Is the computer still under warranty?
 I have 12.04 working on my laptop right now.
 I believe 12.04.1 to 12.10* are bricks for My Samsung
notebook.
 Wish you better luck,
     keghn

.

BTW the "latest" is 13.10 and NOT 13.04

calant (caalant) wrote :

My System came installed with Windows 8, which I updated to 8.1. and I am succesfully dual booting it and Ubuntu 13.10.
Name NP700Z5C-S02ZA
Vendor SAMSUNG ELECTRONICS CO., LTD. (www.samsung.com)
BIOS
Date 11/04/2013
Vendor Phoenix Technologies Ltd. (www.phoenix.com)
Version P07ABJ
Computer
Processor 8x Intel(R) Core(TM) i7-3615QM CPU @ 2.30GHz
Memory 7873MB (997MB used)
Operating System Ubuntu 13.10

I updated to the latest bios drivers, deactivated fast boot/quick boot(in windows and in bios), intel rapid responce etc.
Shrinked my main drive to allow space for Ubuntu. Booted the Ubuntu live usb with UEFI and SecureBoot stil enabled.
Installed Ubuntu using the existing efi partition and the HDD as to location for the bootloader.
It installed fine and Ubuntu worked just like that, however Windows 8.1 did not work until I disabled SecureBoot.(I'm not sure why.)
I did not even run repair-boot. :)

Fabio (mr-fabio90) wrote :

I confirm Calant procedure:
ON SAMSUNG 535U3C A03DE

1) Updated Bios to P07RAS
2) Disabled Fastboot on both Windows8 and bios
3) Run usb boot with SecureBoot Enabled and UEFI selected
4) Normally installed Ubuntu selecting Other during install and partitioning the hdd.
5) Selected the hdd for bootloader
6) On reboot Everything worked fine.
IMPORTANT!! Using emulated bios..Ubuntu was really slow on AC-IN(100% CPU usage while charging)...but with UEFI Installation the problem seems to be solved. :D Oh i use AMD Catalyst Version 13.11 beta V9.95..Site version...wokrs wel.. FINALLY UBUNTU SEEMS TO BE FINE ON THIS MACHINE!!!

Anders (eddiedog988) on 2014-03-13
Changed in ubuntu-cdimage:
status: Invalid → Confirmed
Martin Pitt (pitti) wrote :

Anders, please stop walking around Launchpad and changing the status of random bugs.

Changed in ubuntu-cdimage:
status: Confirmed → Fix Released
José Matos (miguelcm86) wrote :

The problem is solved in samsung serie 7 chronos (np700z5c) ?
In the version ubuntu 14.04?

Can I activate the secureboot and install new ubuntu?

Thanks,
Miguel

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments

Remote bug watches

Bug watches keep track of this bug in other bug trackers.